package com.ningdatech.carapi;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.context.annotation.Import;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import com.ningdatech.basic.config.DefaultAsyncTaskConfig;

/**
 * @author liuxinxin
 */
@EnableAsync
@SpringBootApplication
@MapperScan(App.MAPPER_PACKAGES)
@EnableScheduling
@Import(DefaultAsyncTaskConfig.class)
@EnableTransactionManagement
@EnableAspectJAutoProxy(exposeProxy = true)
public class App {

    protected static final String MAPPER_PACKAGES = "com.ningdatech.carapi.**.mapper";

    public static void main(String[] args) {
        System.setProperty("druid.mysql.usePingMethod", "false");
        SpringApplication.run(App.class, args);
    }
}
