package com.ningdatech.carapi.analysis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 安全责任体系分析评估
 * </p>
 *
 * @author LiuXinXin
 * @since 2022-10-14
 */
@Data
@TableName("nd_security_risk_eval")
@ApiModel(value = "SecurityRiskEval对象", description = "安全责任体系分析评估")
public class SecurityRiskEval implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("年度")
    private Integer year;

    @ApiModelProperty("地区ID")
    private Long regionId;

    @ApiModelProperty("企业编码")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("综合得分")
    private Integer totalScore;

    @ApiModelProperty("安全承诺得分")
    private Integer promiseScore;

    @ApiModelProperty("安全责任得分")
    private Integer riskScore;

    @ApiModelProperty("创建人ID")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改人ID")
    private Long updateBy;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("检查地址")
    private String checkAddress;

    @ApiModelProperty("检查人")
    private String checkUser;

    @ApiModelProperty("检查部门")
    private String checkDept;

    @ApiModelProperty("检查内容")
    private String checkContent;

    @ApiModelProperty("备注")
    private String remark;

}
