package com.ningdatech.carapi.analysis.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * <p>
 * 安全制度建设分析评估新增参数类
 * </p>
 *
 * @author LiuXinXin
 * @since 2022-10-14
 */
@Data
@ApiModel("安全制度建设分析评估新增参数类")
public class SecuritySystemBuildingEvalSaveReq {

    @ApiModelProperty("年度")
    @NotNull(message = "考核年度不能为空")
    private Integer year;

    @ApiModelProperty("地区ID")
    private Long regionId;

    @ApiModelProperty("企业编码")
    @NotNull(message = "企业编码不能为空")
    private Long companyId;

    @ApiModelProperty("企业名称")
    @NotBlank(message = "企业名称不能为空")
    private String companyName;

    @ApiModelProperty("综合得分")
    @NotNull(message = "综合得分不能为空")
    private Integer totalScore;

    @ApiModelProperty("创建人ID")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改人ID")
    private Long updateBy;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("检查地址")
    private String checkAddress;

    @ApiModelProperty("检查人")
    private String checkUser;

    @ApiModelProperty("检查部门")
    private String checkDept;

    @ApiModelProperty("检查内容")
    @NotBlank(message = "检查内容不能为空")
    private String checkContent;

    @ApiModelProperty("备注")
    private String remark;

}
