package com.ningdatech.carapi.analysis.entity.vo;

import com.ningdatech.carapi.sys.entity.dto.RegionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.util.List;

/**
 * <p>
 * 安全制度建设分析评估列表视图类
 * </p>
 *
 * @author WendyYang
 * @since 10:17 2022/10/14
 */
@Data
@Builder
@ApiModel("安全制度建设分析评估列表视图类")
public class SecuritySystemBuildingEvalListVo {

    @Tolerate
    public SecuritySystemBuildingEvalListVo() {
    }

    @ApiModelProperty("所属地区")
    private List<RegionDTO> regions;

    @ApiModelProperty("年度")
    private Integer year;

    @ApiModelProperty("企业编码")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("总分值")
    private Integer totalScore;

    @ApiModelProperty("检查内容")
    private String checkContent;

}
