package com.ningdatech.carapi.archives.model;

import com.ningdatech.carapi.driver.constant.QuestionTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liuxinxin
 * @date 2022/10/22 下午2:33
 */
@ApiModel("试卷规则")
@Data
public class ExamRuleInfo {

    @ApiModelProperty("每题分数")
    private Integer perQuestionScore;

    @ApiModelProperty(value = "题目类型", allowableValues = "SINGLE_CHOICE 单项选择题" +
            ",MULTIPLE_CHOICE 多项选择题 ,JUDGMENTAL 判断题")
    @NotNull(message = "题目类型 不能为空")
    private QuestionTypeEnum questionType;

    @ApiModelProperty("题目需要数量")
    private Integer questionCnt;
}
