package com.ningdatech.carapi.car.equipment.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@TableName("nd_vehicle_equipment_info")
@Data
@ApiModel(value = "NdVehicleBaseInfo", description = "车辆档案-车辆设备信息")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdVehicleEquipmentInfo extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String name;

    /**
     * SIM卡号
     */
    @ApiModelProperty("SIM卡号")
    @TableField(value = "sim_card_no")
    private String simCardNo;

    /**
     * 终端号
     */
    @ApiModelProperty("终端号")
    @TableField(value = "end_point")
    private String endPoint;

    /**
     * 设备号
     */
    @ApiModelProperty("设备号")
    @TableField(value = "equipment_no")
    private String equipmentNo;

    /**
     * 设备功能
     */
    @ApiModelProperty("设备功能")
    @TableField(value = "equipment_function")
    private String equipmentFunction;

    /**
     * 终端类型
     */
    @ApiModelProperty("终端类型")
    @TableField(value = "end_type")
    private String endType;

    /**
     * 下级平台
     */
    @ApiModelProperty("下级平台")
    @TableField(value = "subordinate_platform")
    private String subordinatePlatform;

    /**
     * 车辆ID
     */
    @ApiModelProperty("车辆ID")
    @TableField(value = "vehicle_id")
    private Long vehicleId;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String carPlate;

    /**
     * 车牌类型
     */
    @ApiModelProperty("车牌类型")
    @TableField(exist = false)
    private Long vehicleType;

    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    @TableField(exist = false)
    private String companyName;

    /**
     * 运营商名称
     */
    @ApiModelProperty("运营商名称")
    @TableField(exist = false)
    private String operatorName;


    /**
     * 区域id
     */
    @ApiModelProperty("区域id")
    @TableField(exist = false)
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    @TableField(exist = false)
    private String regionName;

    /**
     * 平台ID
     */
    @ApiModelProperty("平台ID")
    @TableField(value = "platform_id")
    private String platformId;
}
