package com.ningdatech.carapi.car.equipment.model.vo;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@ApiModel(value = "NdVehicleEquipmentVO", description = "车辆档案-车辆设备信息")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdVehicleEquipmentVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long id;

    /**
     * SIM卡号
     */
    @ApiModelProperty("SIM卡号")
    private String simCardNo;

    /**
     * 终端号
     */
    @ApiModelProperty("终端号")
    private String endPoint;

    /**
     * 设备号
     */
    @ApiModelProperty("设备号")
    private String equipmentNo;

    /**
     * 设备功能
     */
    @ApiModelProperty("设备功能")
    private String equipmentFunction;

    /**
     * 终端类型
     */
    @ApiModelProperty("终端类型")
    private String endType;

    /**
     * 下级平台
     */
    @ApiModelProperty("下级平台")
    private String subordinatePlatform;

    /**
     * 车辆ID
     */
    @ApiModelProperty("车辆ID")
    private Long vehicleId;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String carPlate;

    /**
     * 车牌类型
     */
    @ApiModelProperty("车牌类型")
    private Long vehicleType;

    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    private String companyName;

    /**
     * 运营商名称
     */
    @ApiModelProperty("运营商名称")
    private String operatorName;


    /**
     * 区域id
     */
    @ApiModelProperty("区域id")
    private String regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    private String regionName;
}
