package com.ningdatech.carapi.car.monitor.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 车辆安全监控
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-12-07
 */
@TableName("nd_vehicle_security_monitor")
@ApiModel(value = "VehicleSecurityMonitor对象", description = "车辆安全监控")
@Data
public class VehicleSecurityMonitor implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private Long updateBy;

    @ApiModelProperty("告警事件id")
    private Long alarmId;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("公司名")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("车辆类型名")
    private String vehicleTypeName;

    @ApiModelProperty("告警类型")
    private Integer alarmType;

    @ApiModelProperty("告警类型名")
    private String alarmTypeName;

    @ApiModelProperty("告警时间")
    private LocalDateTime alarmTime;

    @ApiModelProperty("告警地址")
    private String alarmAddress;

    @ApiModelProperty("图片地址")
    private String pictureUrl;

    @ApiModelProperty("视频地址")
    private String videoUrl;

    @ApiModelProperty("级别")
    private Integer alarmLevel;

    private Long operatorId;
    private BigDecimal speed;

    private BigDecimal longitude;
    private BigDecimal latitude;
    private Integer deleted;
}
