package com.ningdatech.carapi.car.monitor.model.vo;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 异常告警 载重
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-07
 */
@ApiModel(value = "AlarmDataLoad对象", description = "异常告警 载重")
@Data
public class AlarmDataLoadVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("运营商ID")
    private Long operatorId;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("车牌号")
    private String plateNo;

    @ApiModelProperty("车辆类型名")
    private String vehicleTypeName;

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("告警事件ID")
    private String alarmId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("车辆自重 吨")
    private Double kerbWeight;

    @ApiModelProperty("告警时间")
    private LocalDateTime alarmTime;

    @ApiModelProperty("标准吨位")
    private Double standardTonnage;

    @ApiModelProperty("运营商名字")
    private String operatorName;

    @ApiModelProperty("运量 吨")
    private Double freightVolume;

}
