package com.ningdatech.carapi.car.rpt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 专用车辆超速月对比
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@TableName("nd_rpt_month_overspeed_special_vehicles")
@Data
@ApiModel(value = "RptMonthOverspeedSpecialVehicles对象", description = "专用车辆超速月对比")
public class RptMonthOverspeedSpecialVehicles implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("本月超速次数")
    private Long overspeedCurrentTimes;

    @ApiModelProperty("企业车辆数")
    private Long vehicleNums;

    @ApiModelProperty("超速率")
    private BigDecimal overspeedRate;

    @ApiModelProperty("上月超速次数")
    private Long overspeedLastTimes;
}
