package com.ningdatech.carapi.car.rpt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 专用车辆超速车辆情况旬报
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@TableName("nd_rpt_tendays_special_overspeed_vehicles")
@ApiModel(value = "RptTendaysSpecialOverspeedVehicles对象", description = "专用车辆超速车辆情况旬报")
@Data
public class RptTendaysSpecialOverspeedVehicles implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("排名")
    private Integer rank;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("当前旬超速次数")
    private Long overspeedCurrentTimes;

    @ApiModelProperty("上一旬超速次数")
    private Long overspeedLastTimes;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("超速率")
    private BigDecimal overspeedRate;
}
