package com.ningdatech.carapi.car.rpt.model.po;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 车辆跨域情况表 其它报表
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Data
@ApiModel(value = "RptOtherCrossDomainVehiclesPO", description = "车辆跨域情况表 其它报表")
public class RptOtherCrossDomainVehiclesPO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @ExcelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("名称")
    @ExcelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    @ExcelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("公司ID")
    @ExcelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    @ExcelProperty("公司名")
    private String companyName;

    @ApiModelProperty("运营商ID")
    @ExcelProperty("运营商ID")
    private Long operatorId;

    @ApiModelProperty("运营商名")
    @ExcelProperty("运营商名")
    private String operatorName;

    @ApiModelProperty("区域ID")
    @ExcelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    @ExcelProperty("区域名")
    private String regionName;

    @ApiModelProperty("车辆总数")
    @ExcelProperty("车辆总数")
    private Long vehicleNums;

    @ApiModelProperty("在线车辆数")
    @ExcelProperty("在线车辆数")
    private Long onlineNums;

    @ApiModelProperty("上线率")
    @ExcelProperty("上线率")
    private BigDecimal onlineRate;

    @ApiModelProperty("离线车辆数")
    @ExcelProperty("离线车辆数")
    private Long offlineNums;

    @ApiModelProperty("离线率")
    @ExcelProperty("离线率")
    private BigDecimal offlineRate;

    @ApiModelProperty("散装水泥车数")
    @ExcelProperty("散状水泥车数")
    private Long bulkCementTruckNums;

    @ApiModelProperty("散装水泥车占比")
    @ExcelProperty("散装水泥车占比")
    private BigDecimal bulkCementTruckRate;

    @ApiModelProperty("预拌砂浆车数")
    @ExcelProperty("预拌砂浆车数")
    private Long readyMixedMortarTruckNums;

    @ApiModelProperty("预拌砂浆车占比")
    @ExcelProperty("预拌砂浆车占比")
    private BigDecimal readyMixedMortarTruckRate;

    @ApiModelProperty("混凝土搅拌车数")
    @ExcelProperty("混凝土搅拌车数")
    private Long concreteDeliveryTruckNums;

    @ApiModelProperty("混凝土搅拌车数占比")
    @ExcelProperty("混凝土搅拌车数占比")
    private BigDecimal concreteDeliveryTruckRate;

    @ApiModelProperty("移动泵车数")
    @ExcelProperty("移动泵车数")
    private Long mobilePumpTruckNums;

    @ApiModelProperty("移动泵车占比")
    @ExcelProperty("移动泵车占比")
    private BigDecimal mobilePumpTruckRate;

    @ApiModelProperty("企业类型")
    @ExcelProperty("企业类型")
    private String enterpriseType;

    @ApiModelProperty("企业类型名")
    @ExcelProperty("企业类型名")
    private String enterpriseTypeName;
}
