package com.ningdatech.carapi.car.rpt.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 车辆报警清理分析表 其它报表
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Data
@ApiModel(value = "RptOtherAlarmCleanVehiclesAnalysisVO", description = "车辆报警清理分析表 其它报表")
public class RptOtherAlarmCleanVehiclesAnalysisVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @ExcelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("名称")
    @ExcelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    @ExcelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("公司ID")
    @ExcelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    @ExcelProperty("公司名")
    private String companyName;

    @ApiModelProperty("运营商ID")
    @ExcelProperty("运营商ID")
    private Long operatorId;

    @ApiModelProperty("运营商名")
    @ExcelProperty("运营商名")
    private String operatorName;

    @ApiModelProperty("区域ID")
    @ExcelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    @ExcelProperty("区域名")
    private String regionName;

    @ApiModelProperty("车辆总数")
    @ExcelProperty("车辆总数")
    private Long vehicleNums;

    @ApiModelProperty("在线车辆数")
    @ExcelProperty("在线车辆数")
    private Long onlineNums;

    @ApiModelProperty("上线率")
    @ExcelProperty("上线率")
    private BigDecimal onlineRate;

    @ApiModelProperty("离线车辆数")
    @ExcelProperty("离线车辆数")
    private Long offlineNums;

    @ApiModelProperty("离线率")
    @ExcelProperty("离线率")
    private BigDecimal offlineRate;

    @ApiModelProperty("报警车总数")
    @ExcelProperty("报警车总数")
    private Long alarmVehicleNums;

    @ApiModelProperty("报警车辆占比")
    @ExcelProperty("报警车辆占比")
    private BigDecimal alarmVehicleRate;

    @ApiModelProperty("报警处理总数")
    @ExcelProperty("报警处理总数")
    private Long alarmProcessNums;

    @ApiModelProperty("报警处理占比")
    @ExcelProperty("报警处理占比")
    private BigDecimal alarmProcessRate;

    @ApiModelProperty("报警车同比")
    @ExcelProperty("报警车同比")
    private BigDecimal alarmVehicleYoy;

    @ApiModelProperty("报警车环比")
    @ExcelProperty("报警车环比")
    private BigDecimal alarmVehicleQoq;

    @ApiModelProperty("报警处理同比")
    @ExcelProperty("报警处理同比")
    private BigDecimal alarmProcessYoy;

    @ApiModelProperty("报警处理环比")
    @ExcelProperty("报警处理环比")
    private BigDecimal alarmProcessQoq;

    @ApiModelProperty("在线同比")
    @ExcelProperty("在线同比")
    private BigDecimal onlineYoy;

    @ApiModelProperty("在线环比")
    @ExcelProperty("在线环比")
    private BigDecimal onlineQoq;

    @ApiModelProperty("离线同比")
    @ExcelProperty("离线同比")
    private BigDecimal offlineYoy;

    @ApiModelProperty("离线环比")
    @ExcelProperty("离线环比")
    private BigDecimal offlineQoq;

    @ApiModelProperty("年月")
    @ExcelProperty("年月")
    private String yearMonthly;

    @ApiModelProperty("企业类型")
    @ExcelProperty("企业类型")
    private String enterpriseType;

    @ApiModelProperty("企业类型名")
    @ExcelProperty("企业类型名")
    private String enterpriseTypeName;
}
