package com.ningdatech.carapi.car.rpt.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 专用车辆超速企业情况旬报
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@ApiModel(value = "RptTendaysSpecialOverspeedCompanyVO", description = "专用车辆超速企业情况旬报")
@Data
public class RptTendaysSpecialOverspeedCompanyVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @ExcelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("区域ID")
    @ExcelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    @ExcelProperty("区域名")
    private String regionName;

    @ApiModelProperty("名称")
    @ExcelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    @ExcelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("排名")
    @ExcelProperty("排名")
    private Integer rank;

    @ApiModelProperty("公司ID")
    @ExcelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    @ExcelProperty("公司名")
    private String companyName;

    @ApiModelProperty("当前旬超速次数")
    @ExcelProperty("当前旬超速次数")
    private Long overspeedCurrentTimes;

    @ApiModelProperty("上一旬超速次数")
    @ExcelProperty("上一旬超速次数")
    private Long overspeedLastTimes;

    @ApiModelProperty("超速率")
    @ExcelProperty("超速率")
    private BigDecimal overspeedRate;
}
