package com.ningdatech.carapi.car.rpt.service.impl;

import com.ningdatech.carapi.car.rpt.entity.RptDailySpecialVehiclesOverspeed;
import com.ningdatech.carapi.car.rpt.mapper.RptDailySpecialVehiclesOverspeedMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptDailySpecialVehiclesOverspeedParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptDailySpecialVehiclesOverspeedPO;
import com.ningdatech.carapi.car.rpt.service.IRptDailySpecialVehiclesOverspeedService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 专用车辆超速日报 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@Service
@RequiredArgsConstructor
public class RptDailySpecialVehiclesOverspeedServiceImpl extends ServiceImpl<RptDailySpecialVehiclesOverspeedMapper, RptDailySpecialVehiclesOverspeed> implements IRptDailySpecialVehiclesOverspeedService {

    private final RptDailySpecialVehiclesOverspeedMapper mapper;

    @Override
    @XmlDataScope
    public List<RptDailySpecialVehiclesOverspeedPO> report(RptDailySpecialVehiclesOverspeedParamDTO param) {
        return mapper.report(param);
    }
}
