package com.ningdatech.carapi.car.vehicle.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 实体类
 * 车辆审核
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "VehicleAuditPageQuery", description = "车辆审核")
public class VehicleAuditPageQuery extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 车牌号
     */
    @ApiModelProperty(value = "车牌号")
    private String carPlate;

    /**
     * 所属企业名
     */
    @ApiModelProperty(value = "所属企业名")
    private String companyName;

    /**
     * 车辆类型
     */
    @ApiModelProperty(value = "车辆类型")
    private Integer vehicleType;

    /**
     * 所属区域id
     */
    @ApiModelProperty(value = "所属区域id")
    private Long regionId;

    @ApiModelProperty("审核类型 1.待审核 2.已审核 3.审核不通过")
    private Integer auditType;
}
