package com.ningdatech.carapi.car.video.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 开始回放视频传参
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-07
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "PlaybackVideoStartParamDTO", description = "开始回放视频传参")
public class PlaybackVideoStartParamDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("开始时间时间戳")
    @NotNull(message = "请输入开始时间")
    private Long start;

    @ApiModelProperty("结束时间时间戳")
    @NotNull(message = "请输入结束时间")
    private Long end;

    @ApiModelProperty("设备id")
    @NotBlank(message = "设备id")
    private String deviceId;
}
