package com.ningdatech.carapi.company.entity;

import java.io.Serializable;
import java.sql.Timestamp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 企业基础信用信息
 * </p>
 *
 * @author liushuai
 * @since 2022-10-25
 */
@TableName("nd_company_basic_credit")
@ApiModel(value = "CompanyBasicCredit对象", description = "企业基础信用信息")
@Data
public class CompanyBasicCredit implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("企业id")
    private Long companyId;

    @ApiModelProperty("基本管理信用分值")
    private Integer basicCreditScore;

    @ApiModelProperty("注册资金")
    private String registeredCapital;

    @ApiModelProperty("营业期限")
    private String businessTerm;

    @ApiModelProperty("成立日期")
    private Timestamp createTime;

    @ApiModelProperty("评价机构")
    private String evaluationOrganization;

    @ApiModelProperty("企业网址")
    private String website;

    @ApiModelProperty("经营范围")
    private String natureBusiness;

    @ApiModelProperty("营业执照地址")
    private String businessLicensePath;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("修改人")
    private String updateBy;

    @ApiModelProperty("创建日期")
    private Timestamp createOn;

    @ApiModelProperty("更新时间")
    private Timestamp updateOn;
}
