package com.ningdatech.carapi.company.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.sql.Timestamp;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 企业证书
 * </p>
 *
 * @author liushuai
 * @since 2022-10-25
 */
@TableName("nd_company_certificate")
@ApiModel(value = "CompanyCertificate对象", description = "企业证书")
@Data
public class CompanyCertificate implements Serializable {

    private static final long serialVersionUID = -2010985253469107704L;

    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("企业id")
    private Long companyId;

    @ApiModelProperty("证书名称")
    private String certificateName;

    @ApiModelProperty("证书内容")
    private String certificateContent;

    @ApiModelProperty("有效日期")
    private Timestamp deadlineTime;

    @ApiModelProperty("证书路径")
    private String certificatePath;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("修改人")
    private String updateBy;

    @ApiModelProperty("创建日期")
    private Timestamp createOn;

    @ApiModelProperty("更新时间")
    private Timestamp updateOn;
}
