package com.ningdatech.carapi.company.entity;

import java.io.Serializable;
import java.sql.Timestamp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 *
 * </p>
 *
 * @author liushuai
 * @since 2022-10-25
 */
@TableName("nd_company_employees")
@ApiModel(value = "CompanyEmployees对象", description = "企业员工信息")
@Data
public class CompanyEmployees implements Serializable {

    private static final long serialVersionUID = 4740513010149140128L;

    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private Timestamp createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    private Timestamp updateOn;

    @ApiModelProperty("最后修改人")
    private Long updateBy;

    @ApiModelProperty("员工名称")
    private String name;

    @ApiModelProperty("企业id")
    private Long companyId;

    @ApiModelProperty("电话")
    private String mobile;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("住址")
    private String address;

    @ApiModelProperty("出生日期")
    private Timestamp birthday;

    @ApiModelProperty("性别（0-女，1-男）")
    private Integer sex;

    @ApiModelProperty("身份证号")
    private String cardNum;

    @ApiModelProperty("学历（0-小学，1-初中，2-高中，3-专科，4-本科，5-研究生，6-博士）")
    private Integer education;

    @ApiModelProperty("职务（1-领导，2车队长）")
    private String employeesStatus;

    @ApiModelProperty("区域id")
    private Long regionId;
}
