package com.ningdatech.carapi.company.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;
import java.time.LocalDateTime;

/**
 * @Classname CompanySecurityCommitment
 * @Description
 * @Date 2023/5/23 16:23
 * @Author PoffyZhang
 */
@Data
@TableName("nd_company_security_commitment")
@ApiModel(value = "CompanySecurityCommitment", description = "企业 承诺书")
public class CompanySecurityCommitment {

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("企业id")
    private Long companyId;

    @ApiModelProperty("承诺对象")
    private String commitmentTarget;

    @ApiModelProperty("承诺人")
    private String promisee;

    @ApiModelProperty("文件")
    private String file;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private Long updateBy;
}
