package com.ningdatech.carapi.company.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * <p>
 * 企业失信名单
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
@TableName("nd_company_black_list")
@Data
public class NdCompanyBlackList implements Serializable {

    private static final long serialVersionUID = 5717102444084515804L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    private Long companyId;

    /**
     * 企业名称
     */
    private String companyName;

    /**
     * 区域id
     */
    private Long regionId;

    /**
     * 描述
     */
    private String regionName;

    /**
     * 失信类型
     */
    private String type;

    /**
     * 失信日期
     */
    private LocalDateTime blackTime;

    /**
     * 地点
     */
    private String site;

    /**
     * 描述
     */
    private String content;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 创建日期
     */
    private LocalDateTime createOn;

    /**
     * 更新时间
     */
    private LocalDateTime updateOn;
}
