package com.ningdatech.carapi.company.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 内部/联合检查
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
@TableName("nd_company_credit_inside")
@Data
public class NdCompanyCreditInside implements Serializable {

    private static final long serialVersionUID = -2499448161989294318L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    private Long companyId;

    /**
     * 企业名称
     */
    private String companyName;

    /**
     * 区域id
     */
    private Long regionId;

    /**
     * 区域名称
     */
    private String regionName;

    /**
     * 驾驶员id
     */
    private Long driverId;

    /**
     * 驾驶员名称
     */
    private String driverName;

    /**
     * 行政监管类别
     */
    private String type;

    /**
     * 车牌号
     */
    private String carNo;

    /**
     * 备注
     */
    private String remark;

    /**
     * 检查日期
     */
    private Timestamp checkTime;

    /**
     * 检查类型(1-联合，0-内部)
     */
    private Boolean checkType;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 创建日期
     */
    private Timestamp createOn;

    /**
     * 更新时间
     */
    private Timestamp updateOn;
}
