package com.ningdatech.carapi.company.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 公司生产管理
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
@TableName("nd_company_product_manage")
@Data
public class NdCompanyProductManage implements Serializable {

    private static final long serialVersionUID = -7938578496309798035L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    private Long companyId;

    /**
     * 企业名称
     */
    private String companyName;

    /**
     * 区域id
     */
    private Long regionId;

    /**
     * 区域名称
     */
    private String regionName;

    /**
     * 生产线名称
     */
    private String productName;

    /**
     * 发车日期
     */
    private Timestamp carStartTime;

    /**
     * 设备状态
     */
    private String equipmentStatus;

    /**
     * 当天累计生产方量
     */
    private Integer sumProductCount;

    /**
     * 当天实际生产方量
     */
    private Integer realProductCount;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 创建日期
     */
    private Timestamp createOn;

    /**
     * 更新时间
     */
    private Timestamp updateOn;
}
