package com.ningdatech.carapi.company.entity.dto;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * 企业信息审核
 * @return
 * @author CMM
 * @since 2023/06/06 13:36
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "CompanyAuditDTO", description = "企业信息审核")
public class CompanyAuditDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "企业ID",required = true)
    @NotNull(message = "请传企业id!")
    private Long id;

    @ApiModelProperty(value = "审核状态 2.审核通过 3.审核不通过",required = true)
    @NotNull(message = "请传审核状态!")
    private Integer auditStatus;

    @ApiModelProperty(value = "审核意见")
    private String auditMind;
}
