package com.ningdatech.carapi.company.entity.dto;

import java.io.Serializable;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * @author CMM
 * @description
 * @since 2022/11/17 14:34
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "CompanyAuditPageQuery", description = "企业审核")
public class CompanyAuditPageQuery extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("区域Id")
    private Long regionId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty(value = "公司类型 0管理企业 1生产企业 2物流企业 3其他")
    private Integer companyType;

    @ApiModelProperty(value = "生产企业类型 2预拌砂浆生产企业 3预拌混凝土生产企业 4水泥生产企业")
    private Integer productCompanyType;

    @ApiModelProperty("审核类型 1待审核 2已审核")
    private Integer auditStatus;
}
