package com.ningdatech.carapi.company.entity.dto;

import java.io.Serializable;
import java.time.LocalDate;

import javax.validation.constraints.NotNull;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 未上车行驶记录查询实体
 *
 * @author CMM
 * @since 2023/01/10 09:24
 */
@Data
public class ReqNotGetOnCarDTO extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("公司ID")
    @NotNull(message = "公司ID不能为空!")
    private Long companyId;

    @ApiModelProperty("车牌")
    private String carPlate;

    @ApiModelProperty("查询时间")
    private LocalDate queryTime;

    @ApiModelProperty("表名拼接字符串")
    private String tableNameStr;
}
