package com.ningdatech.carapi.company.entity.dto;

import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 未上车行驶记录
 *
 * @author CMM
 * @since 2023/01/09 18:16
 */
@Data
@ApiModel(value = "ResNotGetOnCarRecordDTO", description = "未上车行驶记录对象")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class ResNotGetOnCarRecordDTO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate time;
}
