package com.ningdatech.carapi.company.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanyProductManage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.dto.ResProductManageDTO;

/**
 * <p>
 * 公司生产管理 服务类
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface INdCompanyProductManageService extends IService<NdCompanyProductManage> {

    /**
     * 获取管理列表
     *
     * @param companyName 公司名称
     * @param regionId    区域id
     * @param pageNum     当前页
     * @param pageSize    页面大小
     * @return 列表
     */
    Page<ResProductManageDTO> manageList(String companyName, Long regionId, int pageNum, int pageSize);
}
