package com.ningdatech.carapi.company.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanySecurityProductDuty;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.dto.ResSecurityProductDutyDTO;

/**
 * <p>
 * 安全生产责任体系 服务类
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface INdCompanySecurityProductDutyService extends IService<NdCompanySecurityProductDuty> {

    /**
     * 获取生成责任体系
     * @param regionId 区域id
     * @param companyName 公司名称
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param pageNum 当前页
     * @param pageSize 页面大小
     * @return 列表
     */
    Page<ResSecurityProductDutyDTO> securityProductDutyList(Long regionId, String companyName, String startTime,
                                                            String endTime, Integer fileType, int pageNum, int pageSize);
}
