package com.ningdatech.carapi.company.service.impl;

import java.time.LocalDateTime;
import java.util.List;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.company.entity.CompanyVehicleNotGetOn;
import com.ningdatech.carapi.company.entity.dto.ReqNotGetOnCarDTO;
import com.ningdatech.carapi.company.entity.po.CompanyVehicleNotGetOnPO;
import com.ningdatech.carapi.company.mapper.CompanyVehicleNotGetOnMapper;
import com.ningdatech.carapi.company.service.ICompanyVehicleNotGetOnService;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * <p>
 * 上车表 服务实现类
 * </p>
 *
 * @author CMM
 * @since 2023-01-10
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class CompanyVehicleNotGetOnServiceImpl extends ServiceImpl<CompanyVehicleNotGetOnMapper, CompanyVehicleNotGetOn> implements ICompanyVehicleNotGetOnService {

    private final CompanyVehicleNotGetOnMapper companyVehicleNotGetOnMapper;

    @Override
    public List<CompanyVehicleNotGetOnPO> getNotOnCarList(ReqNotGetOnCarDTO param) {
        return companyVehicleNotGetOnMapper.getNotOnCarList(param);
    }

    @Override
    public String checkDataExistByDay(LocalDateTime queryTime) {
        return companyVehicleNotGetOnMapper.checkDataExistByDay(queryTime);
    }

    @Override
    public void saveBatchNotGetOnList(List<CompanyVehicleNotGetOn> singleList) {
        companyVehicleNotGetOnMapper.saveBatchNotGetOnList(singleList);
    }
}
