package com.ningdatech.carapi.datascope.contants;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

import java.util.Objects;

/**
 * @Classname DataScopeTypeEnum
 * @Description
 * @Date 2022/11/18 11:15
 * @Created by PoffyZhang
 */
@ApiModel(value = "DataScopeTypeEnum", description = "数据范围类型-枚举")
public enum LambdaDataScopeTypeEnum {
    /**
     * 一般场景 此表有 ragion_id company_id
     */
    ALL,

    /**
     * 该表数据 只有地区 没有公司
     */
    ONLY_REGION,

    /**
     * 只有公司
     */
    ONLY_COMPANY,

    /**
     * 该表刚好是地区表 字段是id
     */
    REGION_TABLE,

    /**
     * 该表刚好是公司表 字段是id
     */
    COMPANY_TABLE,

    /**
     * 企业 公司都没有
     */
    NONE;
}
