package com.ningdatech.carapi.driver.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * @author CMM
 * @description
 * @since 2022/12/08 10:55
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "DriverAbnormalBehaviorAnalysisNoticeDTO",description = "驾驶员异常行为分析通知")
public class DriverAbnormalBehaviorAnalysisNoticeDTO implements Serializable {

    private static final long serialVersionUID = 4549243904173062235L;

    @ApiModelProperty(value = "驾驶员异常行为数据ID",required = true)
    @NotNull(message = "驾驶员异常行为数据ID不能为空!")
    private Long id;

    @ApiModelProperty(value = "处理方式",required = true)
    @NotNull(message = "驾驶员异常行为处理方式不能为空!")
    private List<String> processingMode;

    @ApiModelProperty(value = "处理描述内容",required = true)
    @NotNull(message = "请传入处理描述的内容!")
    @Size(max = 100)
    private String processingDescription;
}
