package com.ningdatech.carapi.driver.entity;

import com.ningdatech.carapi.common.constant.ApprovedMotorcycleTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author CMM
 * @description
 * @since 2022/11/30 11:59
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DriverArchivesDataImportDTO {
    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("出生年月")
    private LocalDateTime birth;

    @ApiModelProperty("籍贯")
    private String nativePlace;

    @ApiModelProperty("手机号码")
    private String phoneNo;

    @ApiModelProperty("健康状况")
    private String health;

    @ApiModelProperty("住址")
    private String address;

    @ApiModelProperty("驾驶证号")
    private String driverLicenseNo;

    @ApiModelProperty("准驾车型")
    private String driverLicenseType;

    @ApiModelProperty("初次领证时间")
    private LocalDateTime initialLicenseTime;

    /**
     * {@link ApprovedMotorcycleTypeEnum}
     */
    @ApiModelProperty("拟驾车型列表")
    private String motorcycleTypeList;

    @ApiModelProperty("违法违规信息")
    private String illegalAndIllegalInfo;
}
