package com.ningdatech.carapi.driver.model.po;

import com.ningdatech.carapi.driver.model.TrainingBasicInfo;
import com.ningdatech.carapi.driver.model.TrainingExamPaperInfo;
import com.ningdatech.carapi.driver.model.TrainingMaterialOverviewInfo;
import com.ningdatech.carapi.driver.model.TrainingTrainersInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/10/21 下午2:52
 */
@Data
@ApiModel("创建培训组织请求PO")
public class ReqCreateTrainingOrgPO {

    @ApiModelProperty("培训组织id")
    private Long organizationId;

    @ApiModelProperty("培训基础信息")
    @NotNull
    private TrainingBasicInfo trainingBasicInfo;

    @ApiModelProperty("培训资料")
    @NotNull
    private TrainingMaterialOverviewInfo trainingMaterialOverviewInfo;

    @ApiModelProperty("培训人员")
    @Size(min = 1)
    private List<TrainingTrainersInfo> trainingTrainersInfoList;

    @ApiModelProperty("培训考试试卷")
    @NotNull
    private TrainingExamPaperInfo trainingExamPaperInfo;


}
