package com.ningdatech.carapi.driver.model.po;

import com.ningdatech.basic.model.PagePo;
import com.ningdatech.carapi.driver.constant.TrainingRegistrationTypeEnum;
import com.ningdatech.carapi.sys.entity.enumeration.MetaApplyTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/10/12 下午5:19
 */

@ApiModel(description = "驾驶员培训列表请求")
@Data
public class ReqDriverTrainingRegistrationListPO extends PagePo {

    @ApiModelProperty("驾驶员名称")
    private String driverName;

    @ApiModelProperty("公司姓名")
    private String companyName;

    @ApiModelProperty(value = "审核类型", allowableValues = "PRELIMINARY_REVIEW 初审,IN_REVIEW 复核")
    private MetaApplyTypeEnum metaApplyType;

    @ApiModelProperty(value = "meta审核状态",
            allowableValues = "FIRST_TRIAL_UNDER_REVIEW 材料初审中," +
            "REEXAMINATION_UNDER_REVIEW 材料复核中," +
            "FIRST_TRIAL_APPROVED 材料初审通过," +
            "REEXAMINATION_APPROVED 材料复核通过," +
            "FIRST_TRIAL_APPROVAL_REJECTION 材料初审驳回," +
            "REEXAMINATION_APPROVAL_REJECTION 材料复核驳回")
    private List<String> metaApplyStatusList;

    @ApiModelProperty(value = "培训报名类型", allowableValues = "FORENSIC_REGISTRATION 取证报名,JOB_APPLICATION 跳槽申请,REPLACEMENT_REGISTRATION 换证报名,CONTINUING_EDUCATION 继续教育")
    private TrainingRegistrationTypeEnum trainingRegistrationType;

    @ApiModelProperty("区域信息 regionId")
    private Long regionId;

}
