package com.ningdatech.carapi.driver.model.po;

import com.ningdatech.carapi.driver.constant.TrainingStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liuxinxin
 * @date 2022/10/31 下午2:44
 */
@Data
@ApiModel("培训组织")
public class ReqTrainingOrganizationStatusModifyPO {
    /**
     * 培训状态 启用/禁用
     * {@link TrainingStatusEnum}
     */
    @NotNull(message = "培训状态不能为空")
    @ApiModelProperty(value = "培训状态", allowableValues = "enable 启用,disable 禁用")
    private TrainingStatusEnum trainingStatus;

    @NotNull(message = "培训状态不能为空")
    @ApiModelProperty(value = "培训组织id")
    private Long organizationId;

}
