package com.ningdatech.carapi.driver.model.vo;

import com.ningdatech.carapi.common.model.FileBasicInfo;
import com.ningdatech.carapi.driver.constant.MaterialStatusEnum;
import com.ningdatech.carapi.driver.constant.MaterialTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/10/9 下午3:47
 */

@Data
@ApiModel(description = "驾驶员培训材料分页查询列表VO")
public class ResTrainingMaterialListVO {

    @ApiModelProperty("培训材料id")
    private Long trainingMaterialId;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("材料类型")
    private MaterialTypeEnum materialType;

    @ApiModelProperty(value = "材料状态", allowableValues = "enable 启用,disable 禁用")
    private MaterialStatusEnum materialStatus;

    @ApiModelProperty(value = "所属区域")
    private String regionName;

    @ApiModelProperty(value = "regionId")
    private Long regionId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @NotBlank(message = "内容 不能为空")
    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("附件")
    private List<FileBasicInfo> appendixList;

}
