package com.ningdatech.carapi.driver.model.vo;

import com.ningdatech.carapi.common.model.FileBasicInfo;
import com.ningdatech.carapi.driver.constant.MaterialStatusEnum;
import com.ningdatech.carapi.driver.constant.MaterialTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/10/21 下午5:01
 */
@Data
@ApiModel(description = "培训材料详情VO")
public class ResTrainingMaterialVO {

    @ApiModelProperty("id")
    private Long id;

    @NotBlank(message = "标题不能为空")
    @ApiModelProperty("标题")
    private String title;

    @NotNull(message = "材料类型 不能为空")
    @ApiModelProperty("材料类型")
    private MaterialTypeEnum materialType;

    @NotNull(message = "材料状态 不能为空")
    @ApiModelProperty(value = "材料状态", allowableValues = "enable 启用,disable 禁用")
    private MaterialStatusEnum materialStatus;

    @NotBlank(message = "内容 不能为空")
    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("附件")
    private List<FileBasicInfo> appendixList;

}
