package com.ningdatech.carapi.industry.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 驾驶员合格证操作
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-04
 */
@TableName("nd_driver_training_certificate_oper")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "DriverTrainingCertificateOper", description = "驾驶员合格证操作")
public class DriverTrainingCertificateOper extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("证书编号")
    private String certificateNo;

    @ApiModelProperty("发证单位")
    private String issuedBy;

    @ApiModelProperty("发证日期")
    private LocalDateTime issueDate;

    @ApiModelProperty("有效期至")
    private LocalDateTime expiryDate;

    @ApiModelProperty("操作类型 1.申请 2.补发")
    private Integer operationTypeId;

    @ApiModelProperty("操作类型")
    private String operationTypeName;

    @ApiModelProperty("审核状态 0待审核 1已审核")
    private Integer auditState;

    @ApiModelProperty("已通过")
    private String auditStateName;

    @ApiModelProperty("申请时间")
    private LocalDateTime operationTime;

    @ApiModelProperty("申请事项")
    private String application;

    @ApiModelProperty("申请原因")
    private String applicationReason;

    @ApiModelProperty("驾驶员ID")
    private Long driverId;

    @ApiModelProperty("证书ID")
    private Long certificateId;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("公司ID")
    private Long companyId;
}
