package com.ningdatech.carapi.industry.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 原材料采购信息表
 * </p>
 *
 * @author WendyYang
 * @since 2022-11-09
 */
@Data
@TableName("nd_purchase_raw_material")
@ApiModel(value = "PurchaseRawMaterial对象", description = "原材料采购信息表")
public class PurchaseRawMaterial implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("原材料名称")
    private String rawMaterialName;

    @ApiModelProperty("规格型号")
    private String model;

    @ApiModelProperty("数量")
    private Integer number;

    @ApiModelProperty("计量单位")
    private String unit;

    @ApiModelProperty("单价")
    private BigDecimal unitPrice;

    @ApiModelProperty("总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("采购日期")
    private LocalDate purchaseDate;

    @ApiModelProperty("采购单位")
    private String purchaseOrg;

    @ApiModelProperty("采购单位ID")
    private Long purchaseOrgId;

    private Long createBy;

    private LocalDateTime createOn;

    private Long updateBy;

    private LocalDateTime updateOn;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("批准部门")
    private String approvalDept;

    @ApiModelProperty("备注")
    private String remark;

}
