package com.ningdatech.carapi.industry.model.dto;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 驾驶员培训合格证编辑信息
 *
 * @author CMM
 * @since 2023/03/02 11:12
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "DriverTrainingCertificateUpdateDTO", description = "行业服务-驾驶员培训合格证")
public class DriverTrainingCertificateUpdateDTO {
    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("驾驶员ID")
    private Long driverId;

    @ApiModelProperty("驾驶员名")
    private String driverName;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("企业名")
    private String companyName;

    @ApiModelProperty("证书编号")
    private String certificateNo;

    @ApiModelProperty("发证单位")
    private String issuedBy;

    @ApiModelProperty("发证日期")
    private LocalDateTime issueDate;

    @ApiModelProperty("驾驶员证号")
    private String driverLicenseNo;

    @ApiModelProperty("有效期至")
    private LocalDateTime expiryDate;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("申请事项")
    private String application;

    @ApiModelProperty("申请原因")
    private String applicationReason;

    @ApiModelProperty("合格证类型")
    private Integer certificateType;
}
