package com.ningdatech.carapi.industry.model.dto;

import java.time.LocalDate;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * LabWorkerCertificateListVo
 * </p>
 *
 * @author WendyYang
 * @since 15:06 2022/11/4
 */
@Data
public class MortarEnterpriseFilingCertificateDTO {

    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty("证书编号")
    @NotBlank(message = "证书编号不能为空")
    private String certificateNo;

    @ApiModelProperty("企业")
    @NotNull(message = "企业ID不能为空")
    private Long companyId;

    @ApiModelProperty("企业名称")
    @NotBlank(message = "企业名称不能为空")
    private String companyName;

    @ApiModelProperty("区域ID")
    @NotNull(message = "区域ID不能为空")
    private Long regionId;

    @ApiModelProperty("备案项目")
    @NotBlank(message = "备案项目不能为空")
    private String recordItem;

    @ApiModelProperty("生产能力")
    @NotBlank(message = "生产能力不能为空")
    private String productionCapacity;

    @ApiModelProperty("执行标准")
    @NotBlank(message = "执行标准不能为空")
    private String standards;

    @ApiModelProperty("有效期")
    @NotNull(message = "有效期不能为空")
    private LocalDate validDate;

    @ApiModelProperty("发证机关")
    @NotNull(message = "发证机关不能为空")
    private String conferOrg;

    @ApiModelProperty("发证时间")
    private LocalDate conferDate;

    @ApiModelProperty("换证时间")
    private LocalDate replaceDate;

    @ApiModelProperty("申请事项")
    private String applicationItem;

    @ApiModelProperty("申请原因")
    private String applicationReason;

    @ApiModelProperty("备注")
    @Length(max = 500, message = "备注最多500个字符")
    private String remark;

    @ApiModelProperty("新增类型")
    private Integer addType;

}
