package com.ningdatech.carapi.industry.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 通行证信息
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-05
 */
@Data
@ApiModel(value = "PassportUpdateDTO", description = "通行证信息update")
public class PassportUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("车辆所有人")
    private String vehicleOwner;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("车辆类型名")
    private String vehicleTypeName;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("企业名")
    private String companyName;

    @ApiModelProperty("可通行区域")
    private String accessibleArea;

    @ApiModelProperty("有效期")
    private LocalDateTime expirationDate;

    @ApiModelProperty("备注")
    private String remark;
}
