package com.ningdatech.carapi.industry.model.dto;

import java.io.Serializable;
import java.util.List;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * <p>
 * 新车上牌
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-03
 */
@Data
@Builder
@ApiModel(value = "RegistrationRecordPageParamDTO", description = "新车上牌")
public class RegistrationRecordPageParamDTO extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("企业名")
    private String companyName;

    @ApiModelProperty("上牌记录")
    private String registrationRecord;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车牌号列表")
    private List<String> carPlateList;
}
