package com.ningdatech.carapi.industry.model.req;

import java.time.LocalDate;
import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.ningdatech.carapi.sys.entity.dto.RegionDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * LabWorkerCertificateListVo
 * </p>
 *
 * @author WendyYang
 * @since 15:06 2022/11/4
 */
@Data
public class LabAcceptanceCertificateReq {

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("企业")
    @NotNull(message = "企业ID不能为空")
    private Long companyId;

    @ApiModelProperty("区域信息")
    private List<RegionDTO> regions;

    @ApiModelProperty("区域ID")
    @NotNull(message = "区域ID不能为空")
    private Long regionId;

    @ApiModelProperty("备案项目")
    @NotBlank(message = "备案项目不能为空")
    private String recordItem;

    @ApiModelProperty("发证时间")
    @DateTimeFormat("yyyy-MM-dd")
    private LocalDate conferDate;

    @ApiModelProperty("换证时间")
    @DateTimeFormat("yyyy-MM-dd")
    private LocalDate replaceDate;

    @ApiModelProperty("证书编号")
    @NotBlank(message = "证书编号不能为空")
    private String certificateNo;

    @ApiModelProperty("发证机关")
    @NotNull(message = "发证机关不能为空")
    private String conferOrg;

    @ApiModelProperty("企业名称")
    @NotBlank(message = "企业名称不能为空")
    private String companyName;

    @ApiModelProperty("备注")
    @Length(max = 500, message = "备注最多500个字符")
    private String remark;

    @ApiModelProperty("执行标准")
    @NotNull(message = "执行标准不能为空")
    private String standard;

    @ApiModelProperty("申请事项")
    private String applicationItem;

    @ApiModelProperty("申请原因")
    private String applicationReason;

    @ApiModelProperty("检测项目")
    @NotNull(message = "检测项目不能为空")
    private String testItem;

    @ApiModelProperty("有效期限")
    @NotNull(message = "有效期限不能为空")
    @DateTimeFormat("yyyy-MM-dd")
    private LocalDate validDate;

    @ApiModelProperty("新增类型")
    private Integer addType;
}
