package com.ningdatech.carapi.industry.model.vo;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * GPS数据质量监控
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-07
 */
@Data
@ApiModel(value = "DataQualityMonitorGps对象", description = "GPS数据质量监控")
public class DataQualityMonitorGpsVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private Long updateBy;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("企业名")
    private String companyName;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("车辆类型名")
    private String vehicleTypeName;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车辆颜色")
    private String plateColor;

    @ApiModelProperty("运营商ID")
    private Long operatorId;

    @ApiModelProperty("运营商名")
    private String operatorName;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("纬度")
    private String latitude;

    @ApiModelProperty("速度")
    private String velocity;

    @ApiModelProperty("方向")
    private String direction;

    @ApiModelProperty("0离线 1在线")
    private Integer state;

    @ApiModelProperty("告警级别")
    private Integer alarm;

    @ApiModelProperty("告警级别名称")
    private String alarmName;

    @ApiModelProperty("异常原因")
    private Integer abnormalCauses;

    @ApiModelProperty("异常原因名称")
    private String abnormalCausesName;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("数据采集时间")
    private LocalDateTime dataTime;
}
