package com.ningdatech.carapi.industry.model.vo;

import java.time.LocalDate;
import java.util.List;

import javax.validation.constraints.NotNull;

import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.ningdatech.carapi.sys.entity.dto.RegionDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * LabWorkerCertificateListVo
 * </p>
 *
 * @author WendyYang
 * @since 15:06 2022/11/4
 */
@Data
public class LabAcceptanceCertificateListVo {

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("企业")
    @NotNull(message = "企业ID不能为空")
    private Long companyId;

    @ApiModelProperty("区域信息")
    private List<RegionDTO> regions;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("备案项目")
    private String recordItem;

    @ApiModelProperty("检测项目")
    private String testItem;

    @ApiModelProperty("有效期")
    @DateTimeFormat("yyyy-MM-dd")
    private LocalDate validDate;

    @ApiModelProperty("发证时间")
    @DateTimeFormat("yyyy-MM-dd")
    private LocalDate conferDate;

    @ApiModelProperty("证书编号")
    private String certificateNo;

    @ApiModelProperty("发证机关")
    private String conferOrg;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("换证时间")
    private LocalDate replacementTime;

    @ApiModelProperty("执行标准")
    private String standard;
}
