package com.ningdatech.carapi.industry.model.vo;

import java.time.LocalDate;
import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

import com.ningdatech.carapi.sys.entity.dto.RegionDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * LabWorkerCertificateListVo
 * </p>
 *
 * @author WendyYang
 * @since 15:06 2022/11/4
 */
@Data
public class LabWorkerCertificateListVo {

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("企业")
    @NotNull(message = "企业ID不能为空")
    private Long companyId;

    @ApiModelProperty("区域信息")
    private List<RegionDTO> regions;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("姓名")
    @NotBlank(message = "姓名不能为空")
    private String userName;

    @ApiModelProperty("身份证号")
    @NotBlank(message = "身份证号不能为空")
    private String idCard;

    @ApiModelProperty("有效期")
    @NotNull(message = "有效期不能为空")
    private LocalDate validDate;

    @ApiModelProperty("发证时间")
    @NotNull(message = "发证时间不能为空")
    private LocalDate conferDate;

    @ApiModelProperty("发证机关")
    @NotNull(message = "发证机关不能为空")
    private String conferOrg;

    @ApiModelProperty("证书编号")
    @NotBlank(message = "证书编号不能为空")
    private String certificateNo;

    @ApiModelProperty("性别：0 未知、1 男、2 女、3 其他")
    @NotNull(message = "性别不能为空")
    private Integer gender;

    @ApiModelProperty("性别：0 未知、1 男、2 女、3 其他")
    @NotNull(message = "性别不能为空")
    private String genderName;

    @ApiModelProperty("企业名称")
    @NotBlank(message = "企业名称不能为空")
    private String companyName;

    @ApiModelProperty("备注")
    @Length(max = 500, message = "备注最多500个字符")
    private String remark;

    @ApiModelProperty("证书类型")
    @NotNull(message = "证书类型不能为空")
    private Integer certificateType;
}
