package com.ningdatech.carapi.industry.model.vo;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.ningdatech.carapi.sys.entity.dto.RegionDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * MortarEnterpriseFilingCertificateVO
 * </p>
 *
 * @author WendyYang
 * @since 21:34 2022/11/8
 */
@Data
public class MortarEnterpriseFilingCertificateVO {

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("证书编号")
    private String certificateNo;

    @ApiModelProperty("企业")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("区域信息")
    private List<RegionDTO> regions;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("备案项目")
    private String recordItem;

    @ApiModelProperty("换证时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime replacementTime;

    @ApiModelProperty("发证机关")
    private String conferOrg;

    @ApiModelProperty("发证时间")
    private LocalDate conferDate;

    @ApiModelProperty("生产能力")
    private String productionCapacity;

    @ApiModelProperty("有效时间")
    private LocalDate validDate;

    @ApiModelProperty("执行标准")
    private String standards;

}
