package com.ningdatech.carapi.industry.model.vo;

import com.ningdatech.carapi.sys.entity.dto.RegionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 轮胎采购信息列表视图
 * </p>
 *
 * @author WendyYang
 * @since 2022-11-09
 */
@Data
@ApiModel("轮胎采购信息列表视图")
public class PurchaseWheelListVo {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("区域")
    private List<RegionDTO> regions;

    @ApiModelProperty("区域ID")
    @NotNull(message = "区域ID不能为空")
    private Long regionId;

    @ApiModelProperty("轮胎品牌")
    @NotBlank(message = "轮胎品牌不能为空")
    private String wheelBrand;

    @ApiModelProperty("轮胎类型")
    @NotBlank(message = "轮胎类型不能为空")
    private String wheelType;

    @ApiModelProperty("数量")
    @NotNull(message = "数量不能为空")
    private Integer number;

    @ApiModelProperty("单价")
    @NotNull(message = "单价不能为空")
    private BigDecimal unitPrice;

    @ApiModelProperty("总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("采购日期")
    @NotNull(message = "采购日期不能为空")
    private LocalDate purchaseDate;

    @ApiModelProperty("采购单位")
    @NotBlank(message = "采购单位不能为空")
    private String purchaseOrg;

    @ApiModelProperty("采购单位ID")
    @NotNull(message = "采购单位ID不能为空")
    private Long purchaseOrgId;

    @ApiModelProperty("批准部门")
    @NotBlank(message = "批准部门不能为空")
    private String approvalDept;

}
