package com.ningdatech.carapi.open.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 企业安全信息
 *
 * @author CMM
 * @since 2023/05/26 12:18
 */
@Data
public class CompanySecurityInfoVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("公共信用评价分值")
    private Integer commonCreditScore;

    @ApiModelProperty("基本管理信用分值")
    private Integer basicCreditScore;

    @ApiModelProperty("安全生产管理信用分值")
    private Integer safeProductCreditScore;

    @ApiModelProperty("行业监管信用分值")
    private Integer industryRegulateCreditScore;

    @ApiModelProperty("行业荣誉加分")
    private Integer industryHonorBonus;

    @ApiModelProperty("企业信用评价总分")
    private Integer companyCreditEvaluateTotalScore;

    @ApiModelProperty("信用等级")
    private String creditLevel;

    @ApiModelProperty("信用等级含义")
    private String creditLevelName;

    @ApiModelProperty("企业风险等级")
    private Integer dangerLevel;

    @ApiModelProperty("企业风险名称")
    private String dangerLevelName;

    @ApiModelProperty("企业安全风险分值")
    private Integer companySafeRiskScore;

    @ApiModelProperty("累计违章次数")
    private Integer violationCnt;

    @ApiModelProperty("累计出险次数")
    private Integer outDangerCnt;

    @ApiModelProperty("累计受伤人数")
    private Integer injuryCnt;

    @ApiModelProperty("累计死亡人数")
    private Integer deadCnt;
}
