package com.ningdatech.carapi.qrcode.model.dto;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@ApiModel(value = "NdVehicleGetOn", description = "二维码-上车 值对象")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class GetOnVehicleDTO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 驾驶员ID
     */
    @ApiModelProperty("驾驶员ID")
    @NotNull(message = "驾驶员ID必填")
    private Long driverId;

    /**
     * 车辆ID
     */
    @ApiModelProperty("车辆ID")
    @NotNull(message = "车辆ID必填")
    private Long vehicleId;
}
