package com.ningdatech.carapi.report.model.dto;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/10/02 10:54
 */
@Data
public class BulkCementThreeCityUsageQueryDataExportDTO {
    @NotNull(message = "本月使用量不能为空")
    @Excel(name = "本月",groupName = "合计")
    private BigDecimal thisMonthUsage;
    @Excel(name = "累计")
    @NotNull(message = "本月累计使用量不能为空")
    private BigDecimal accumulativeUsage;
    @Excel(name = "同比增长率")
    @NotNull(message = "同比增长率不能为空")
    private BigDecimal growthRate;

    @Excel(name = "本月",groupName = "本省")
    @NotNull(message = "本省本月使用量不能为空")
    private BigDecimal thisProvinceThisMonthUsage;
    @Excel(name = "累计")
    @NotNull(message = "本省累计使用量不能为空")
    private BigDecimal thisProvinceAccumulativeUsage;

    @Excel(name = "本月",groupName = "外省")
    @NotNull(message = "外省本月使用量不能为空")
    private BigDecimal otherProvinceThisMonthUsage;
    @Excel(name = "累计")
    @NotNull(message = "外省累计使用量不能为空")
    private BigDecimal otherProvinceAccumulativeUsage;

    @Excel(name = "单位")
    @NotNull(message = "单位名称不能为空")
    private String unitName;

    @Excel(name = "年目标")
    @NotNull(message = "年目标不能为空")
    private BigDecimal yearTarget;

    @Excel(name = "占全年目标%")
    @NotNull(message = "占全年目标百分比不能为空")
    private BigDecimal percentageOfAnnualTarget;
}
