package com.ningdatech.carapi.report.model.dto;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:43
 */
@Data
@ApiModel(description = "散装水泥物流设施统计年报上报数据")
public class ReqBulkCementLogFacStaDataUploadDTO {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("地区")
    private String regionName;

    @ApiModelProperty("设备名称")
    private String facilityName;

    @ApiModelProperty("年初数量(个)")
    private Integer yearBeginNum;

    @ApiModelProperty("年初容量(万吨)")
    private BigDecimal yearBeginCapacity;

    @ApiModelProperty("本年新增数量(个)")
    private Integer thisYearNewAddNum;

    @ApiModelProperty("本年新增容量(万吨)")
    private BigDecimal thisYearNewAddCapacity;

    @ApiModelProperty("本年报废数量(个)")
    private Integer thisYearScrapNum;

    @ApiModelProperty("本年报废容量(万吨)")
    private BigDecimal thisYearScrapCapacity;

    @ApiModelProperty("年末数量(个)")
    private Integer yearEndNum;

    @ApiModelProperty("年末容量(万吨)")
    private BigDecimal yearEndCapacity;

    @ApiModelProperty("本年实际作业量(万吨)")
    private BigDecimal thisYearWorkAmount;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

}
