package com.ningdatech.carapi.report.model.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 散装水泥直报系统市级上报数据关联表
 * </p>
 *
 * @author CMM
 * @since 2023-09-30
 */
@Data
@TableName("nd_bulk_cement_direct_report_system_data_relevance")
@ApiModel(value = "BulkCementDirectReportSystemDataRelevance对象", description = "散装水泥直报系统市级上报数据关联表")
public class BulkCementDirectReportSystemDataRelevance implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;
    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("审核状态 0 审核中 1 审核通过 2 被退回")
    private Integer auditStatus;

    @ApiModelProperty("审核类型 1 市级散办审核 2 省散办审核")
    private Integer auditType;

    @ApiModelProperty("市级上报审核关联数据ID列表")
    private String auditDataIdList;

    @ApiModelProperty("审核数据类型 1 散装水泥供应量快报数据、2 中转库进出量统计数据、3 温台舟使用量快报数据、4 混凝土供应量快报数据、5 砂浆供应量快报数据、6 非禁现区域散装水泥销售使用情况数据、7 散装水泥物流设施统计年报表数据、8 散装水泥、预拌砂浆、干混砂浆物流装备统计年报表数据")
    private Integer auditDataType;

    @ApiModelProperty("最近一次更新时间")
    private LocalDateTime lastUpdateTime;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
