package com.ningdatech.carapi.report.model.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 散装水泥物流设施统计年报表
 * </p>
 *
 * @author CMM
 * @since 2023-09-27
 */
@Data
@TableName("nd_bulk_cement_logistic_facility_statistic_annual_report")
@ApiModel(value = "BulkCementLogisticFacilityStatisticAnnualReport对象", description = "散装水泥物流设施统计年报表")
public class BulkCementLogisticFacilityStatisticAnnualReport implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("地区")
    private String regionName;

    @ApiModelProperty("设备名称")
    private String facilityName;

    @ApiModelProperty("年初数量(个)")
    private Integer yearBeginNum;

    @ApiModelProperty("年初容量(万吨)")
    private BigDecimal yearBeginCapacity;

    @ApiModelProperty("本年新增数量(个)")
    private Integer thisYearNewAddNum;

    @ApiModelProperty("本年新增容量(万吨)")
    private BigDecimal thisYearNewAddCapacity;

    @ApiModelProperty("本年报废数量(个)")
    private Integer thisYearScrapNum;

    @ApiModelProperty("本年报废容量(万吨)")
    private BigDecimal thisYearScrapCapacity;

    @ApiModelProperty("年末数量(个)")
    private Integer yearEndNum;

    @ApiModelProperty("年末容量(万吨)")
    private BigDecimal yearEndCapacity;

    @ApiModelProperty("本年实际作业量(万吨)")
    private BigDecimal thisYearWorkAmount;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("审核状态 1 审核中 2 审核通过 3 被退回 4 待上报")
    private Integer auditStatus;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
