package com.ningdatech.carapi.report.model.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 非禁现区域散装水泥销售使用情况统计年报表
 * </p>
 *
 * @author CMM
 * @since 2023-09-27
 */
@Data
@TableName("nd_non_prohibited_areas_bulk_cement_sales_use")
@ApiModel(value = "NonProhibitedAreasBulkCementSalesUse对象", description = "非禁现区域散装水泥销售使用情况统计年报表")
public class NonProhibitedAreasBulkCementSalesUse implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("非禁现区散装水泥销售点合计数量(个)")
    private Integer salePointAccumulativeNum;

    @ApiModelProperty("非禁现区水泥企业建点数量(个)")
    private Integer cementCompanyBuildPointNum;

    @ApiModelProperty("非禁现区其它投资建点数量(个)")
    private Integer otherInvestmentBuildPointNum;

    @ApiModelProperty("非禁现区散装水泥销售量(万吨)")
    private BigDecimal saleVolume;

    @ApiModelProperty("非禁现区散装水泥罐数量(个)")
    private Integer bulkCementTankNum;

    @ApiModelProperty("非禁现区散装水泥罐容量(吨)")
    private BigDecimal bulkCementTankCapacity;

    @ApiModelProperty("非禁现区水泥使用量(万吨)")
    private BigDecimal cementUsage;

    @ApiModelProperty("非禁现区散装水泥使用量(万吨)")
    private BigDecimal bulkCementUsage;

    @ApiModelProperty("生产预拌混凝土散装水泥使用量(万吨)")
    private BigDecimal readyMixedConcreteBulkCementUsage;

    @ApiModelProperty("生产水泥制品散装水泥使用量(万立方米)")
    private BigDecimal cementProductsBulkCementUsage;

    @ApiModelProperty("非禁现区域散装水泥使用率(%)")
    private BigDecimal bulkCementUsageRate;

    @ApiModelProperty("非禁现区域生产预拌混凝土产量(万立方米)")
    private BigDecimal readyMixedConcreteOutput;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出时间")
    private LocalDateTime submissionDate;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("审核状态 1 审核中 2 审核通过 3 被退回 4 待上报")
    private Integer auditStatus;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
