package com.ningdatech.carapi.report.model.po;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:43
 */
@Data
@ApiModel(description = "中转库进出量上报数据")
public class ReqBulkCementTransferDataUploadPO {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("上月末库存")
    private BigDecimal lastMonthEndInventory;

    @ApiModelProperty("本月进库量")
    private BigDecimal thisMonthIncomingStorage;

    @ApiModelProperty("累计进库量")
    private BigDecimal cumulativeIncomingStorage;

    @ApiModelProperty("本月出库量")
    private BigDecimal thisMonthOutgoingStorage;

    @ApiModelProperty("累计出库量")
    private BigDecimal cumulativeOutgoingStorage;

    @ApiModelProperty("月末库存量")
    private BigDecimal monthEndInventory;

    @ApiModelProperty("月末库存同比增长率")
    private BigDecimal monthEndInventoryGrowthRate;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;
}
