package com.ningdatech.carapi.report.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author CMM
 * @since 2023/09/28 11:43
 */
@Data
@ApiModel(description = "数据审核请求")
public class ReqDataAuditPO {

    @ApiModelProperty("审核数据Id")
    private Long auditDataId;

    @ApiModelProperty("审核信息Id")
    private Long auditInfoId;

    @ApiModelProperty("审核记录ID")
    private Long auditRecordId;

    @ApiModelProperty("审核意见")
    private String auditOpinion;

    @ApiModelProperty("审核结果")
    private Integer auditStatus;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("审核数据类型 1 散装水泥供应量快报数据、2 中转库进出量统计数据、3 温台舟使用量快报数据、4 混凝土供应量快报数据、5 砂浆供应量快报数据、6 非禁现区域散装水泥销售使用情况数据、7 散装水泥物流设施统计年报表数据、8 散装水泥、预拌砂浆、干混砂浆物流装备统计年报表数据")
    private Integer auditDataType;
}
