package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("散装水泥物流设施统计年报数据上报详情VO")
public class ResBulkCementLogFacStaDataUploadDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("地区")
    private String regionName;

    @ApiModelProperty("设备名称")
    private String facilityName;

    @ApiModelProperty("年初数量(个)")
    private Integer yearBeginNum;
    @ApiModelProperty("当前市年初数量(个)合计")
    private Integer yearBeginNumTotal;

    @ApiModelProperty("年初容量(万吨)")
    private BigDecimal yearBeginCapacity;
    @ApiModelProperty("当前市年初容量(万吨)合计")
    private BigDecimal yearBeginCapacityTotal;

    @ApiModelProperty("本年新增数量(个)")
    private Integer thisYearNewAddNum;
    @ApiModelProperty("当前市本年新增数量(个)合计")
    private Integer thisYearNewAddNumTotal;

    @ApiModelProperty("本年新增容量(万吨)")
    private BigDecimal thisYearNewAddCapacity;
    @ApiModelProperty("当前市本年新增容量(万吨)合计")
    private BigDecimal thisYearNewAddCapacityTotal;

    @ApiModelProperty("本年报废数量(个)")
    private Integer thisYearScrapNum;
    @ApiModelProperty("当前市本年报废数量(个)合计")
    private Integer thisYearScrapNumTotal;

    @ApiModelProperty("本年报废容量(万吨)")
    private BigDecimal thisYearScrapCapacity;
    @ApiModelProperty("当前市本年报废容量(万吨)合计")
    private BigDecimal thisYearScrapCapacityTotal;

    @ApiModelProperty("年末数量(个)")
    private Integer yearEndNum;
    @ApiModelProperty("当前市年末数量(个)合计")
    private Integer yearEndNumTotal;

    @ApiModelProperty("年末容量(万吨)")
    private BigDecimal yearEndCapacity;
    @ApiModelProperty("当前市年末容量(万吨)合计")
    private BigDecimal yearEndCapacityTotal;

    @ApiModelProperty("本年实际作业量(万吨)")
    private BigDecimal thisYearWorkAmount;
    @ApiModelProperty("当前市本年实际作业量(万吨)合计")
    private BigDecimal thisYearWorkAmountTotal;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("上报年份")
    private Integer reportYear;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("是否为市合计数据")
    private Boolean isCityTotalData;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
