package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("散装水泥供应量数据上报详情VO")
public class ResBulkCementSupplyDataUploadDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("散装率目标")
    private BigDecimal bulkRateTarget;

    @ApiModelProperty("散装水泥总量")
    private BigDecimal bulkCementAmount;
    @ApiModelProperty("当前市散装水泥总量合计")
    private BigDecimal bulkCementAmountTotal;

    @ApiModelProperty("水泥产量")
    private BigDecimal cementOutput;
    @ApiModelProperty("当前市水泥产量合计")
    private BigDecimal cementOutputTotal;

    @ApiModelProperty("年初至本月累计完成总量")
    private BigDecimal completedTotalAmount;
    @ApiModelProperty("当前市年初至本月累计完成总量合计")
    private BigDecimal completedTotalAmountTotal;

    @ApiModelProperty("年初至本月累计散装率")
    private BigDecimal bulkRate;
    @ApiModelProperty("当前市年初至本月累计散装率合计")
    private BigDecimal bulkRateTotal;

    @ApiModelProperty("年初至本月累计 比去年同期 增加量")
    private BigDecimal increment;
    @ApiModelProperty("当前市年初至本月累计 比去年同期 增加量合计")
    private BigDecimal incrementTotal;

    @ApiModelProperty("年初至本月累计 比去年同期 增长率")
    private BigDecimal increaseRate;
    @ApiModelProperty("当前市年初至本月累计 比去年同期 增长率合计")
    private BigDecimal increaseRateTotal;

    @ApiModelProperty("本月止累计水泥产量")
    private BigDecimal cumulativeCementProduction;
    @ApiModelProperty("当前市本月止累计水泥产量合计")
    private BigDecimal cumulativeCementProductionTotal;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("是否为市合计数据")
    private Boolean isCityTotalData;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
