package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("砂浆供应量数据上报详情VO")
public class ResMortarSupplyDataUploadDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("地区名称")
    private String regionName;

    @ApiModelProperty("二类指导目标(万吨)")
    private BigDecimal twoCategoryGuidGoal;
    @ApiModelProperty("当前市二类指导目标(万吨)合计")
    private BigDecimal twoCategoryGuidGoalTotal;

    @ApiModelProperty("普通干混砂浆生产企业数量(个)")
    private Integer dryMixedMortarProductionCompanyNum;
    @ApiModelProperty("当前市普通干混砂浆生产企业数量(个)合计")
    private Integer dryMixedMortarProductionCompanyNumTotal;

    @ApiModelProperty("普通干混砂浆生产总能力(万吨)")
    private BigDecimal dryMixedMortarProductiveCapacity;
    @ApiModelProperty("当前市普通干混砂浆生产总能力(万吨)合计")
    private BigDecimal dryMixedMortarProductiveCapacityTotal;

    @ApiModelProperty("普通干混砂浆散装能力(万吨)")
    private BigDecimal dryMixedMortarBulkCapacity;
    @ApiModelProperty("当前市普通干混砂浆散装能力(万吨)合计")
    private BigDecimal dryMixedMortarBulkCapacityTotal;

    @ApiModelProperty("本月总产量(吨)")
    private BigDecimal thisMonthTotalOutput;
    @ApiModelProperty("当前市本月总产量(吨)合计")
    private BigDecimal thisMonthTotalOutputTotal;

    @ApiModelProperty("本月累计产量(吨)")
    private BigDecimal thisMonthAccumulativeOutput;
    @ApiModelProperty("当前市本月累计产量(吨)合计")
    private BigDecimal thisMonthAccumulativeOutputTotal;

    @ApiModelProperty("普通干混砂浆本月产量(吨)")
    private BigDecimal dryMixedMortarThisMonthOutput;
    @ApiModelProperty("当前市普通干混砂浆本月产量(吨)合计")
    private BigDecimal dryMixedMortarThisMonthOutputTotal;

    @ApiModelProperty("普通干混砂浆累计产量(吨)")
    private BigDecimal dryMixedMortarThisMonthAccumulativeOutput;
    @ApiModelProperty("当前市普通干混砂浆累计产量(吨)合计")
    private BigDecimal dryMixedMortarThisMonthAccumulativeOutputTotal;

    @ApiModelProperty("普通干混砂浆同比增长量(吨)")
    private BigDecimal dryMixedMortarIncrement;
    @ApiModelProperty("当前市普通干混砂浆同比增长量(吨)合计")
    private BigDecimal dryMixedMortarIncrementTotal;

    @ApiModelProperty("普通干混砂浆增长率(%)")
    private BigDecimal dryMixedMortarGrowthRate;
    @ApiModelProperty("当前市普通干混砂浆增长率(%)合计")
    private BigDecimal dryMixedMortarGrowthRateTotal;

    @ApiModelProperty("普通干混砂浆本月散装量(吨)")
    private BigDecimal dryMixedMortarThisMonthBulkQuantity;
    @ApiModelProperty("当前市普通干混砂浆本月散装量(吨)合计")
    private BigDecimal dryMixedMortarThisMonthBulkQuantityTotal;

    @ApiModelProperty("普通干混砂浆累计散装量(吨)")
    private BigDecimal dryMixedMortarAccumulativeBulkQuantity;
    @ApiModelProperty("当前市普通干混砂浆累计散装量(吨)合计")
    private BigDecimal dryMixedMortarAccumulativeBulkQuantityTotal;

    @ApiModelProperty("湿拌砂浆本月产量(立方)")
    private BigDecimal wetMortarThisMonthOutput;
    @ApiModelProperty("当前市湿拌砂浆本月产量(立方)合计")
    private BigDecimal wetMortarThisMonthOutputTotal;

    @ApiModelProperty("湿拌砂浆累计产量(立方)")
    private BigDecimal wetMortarAccumulativeOutput;
    @ApiModelProperty("当前市拌砂浆累计产量(立方)合计")
    private BigDecimal wetMortarAccumulativeOutputTotal;

    @ApiModelProperty("散装水泥本月使用量(吨)")
    private BigDecimal bulkCementThisMonthUsage;
    @ApiModelProperty("当前市散装水泥本月使用量(吨)合计")
    private BigDecimal bulkCementThisMonthUsageTotal;

    @ApiModelProperty("散装水泥累计使用量(吨)")
    private BigDecimal bulkCementAccumulativeUsage;
    @ApiModelProperty("当前市散装水泥累计使用量(吨)合计")
    private BigDecimal bulkCementAccumulativeUsageTotal;

    @ApiModelProperty("废弃物本月综合利用量(吨)")
    private BigDecimal wasteThisMonthComprehensiveUtilization;
    @ApiModelProperty("当前市废弃物本月综合利用量(吨)合计")
    private BigDecimal wasteThisMonthComprehensiveUtilizationTotal;

    @ApiModelProperty("废弃物累计综合利用量(吨)")
    private BigDecimal wasteAccumulativeComprehensiveUtilization;
    @ApiModelProperty("当前市废弃物累计综合利用量(吨)合计")
    private BigDecimal wasteAccumulativeComprehensiveUtilizationTotal;

    @ApiModelProperty("上报月份")
    private LocalDateTime reportMonth;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("审核信息ID")
    private Long auditInfoId;

    @ApiModelProperty("是否为市合计数据")
    private Boolean isCityTotalData;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("更新人")
    private Long updateBy;
}
