package com.ningdatech.carapi.safe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@TableName("nd_security_advisory")
@Data
@ApiModel(value = "NdSecurityAdvisory", description = "安全管理-安全通报")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdSecurityAdvisory extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    @TableField(value = "region_id")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    @TableField(value = "region_name")
    private String regionName;

    /**
     * 通报日期
     */
    @ApiModelProperty("通报日期")
    @TableField(value = "advisory_date")
    private LocalDateTime advisoryDate;

    /**
     * 通报文件名
     */
    @ApiModelProperty("通报文件名")
    @TableField(value = "advisory_file_name")
    private String advisoryFileName;

    /**
     * 通报文件url
     */
    @ApiModelProperty("通报文件url")
    @TableField(value = "advisory_file_url")
    private String advisoryFileUrl;

    /**
     * 通报次数
     */
    @ApiModelProperty("通报次数")
    @TableField(value = "download_times")
    private Integer downloadTimes;

    /**
     * 上传文件id
     */
    @ApiModelProperty("文件id")
    @TableField(value = "file_id")
    private Long fileId;

    /**
     * 公司ID
     */
    @ApiModelProperty("公司ID")
    @TableField(value = "company_id")
    private Long companyId;
}
