package com.ningdatech.carapi.safe.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@TableName("nd_vehicle_overspeed_vehicle")
@Data
@ApiModel(value = "NdVehicleOverspeedCompany", description = "安全管理-超速管理-车辆超速")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdVehicleOverspeedVehicle extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 超速时间
     */
    @ApiModelProperty("超速时间")
    @TableField(value = "overspeed_date")
    private LocalDateTime overspeedDate;

    /**
     * 超速次数
     */
    @ApiModelProperty("超速次数")
    @TableField(value = "overspeed_times")
    private Integer overspeedTimes;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    @TableField(value = "car_plate")
    private String carPlate;

    /**
     * 最高速率
     */
    @ApiModelProperty("最高速率")
    @TableField(value = "max_speed")
    private Double maxSpeed;

    /**
     * 排名
     */
    @ApiModelProperty("排名")
    @TableField(value = "rank")
    private Integer rank;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    @TableField(value = "company_name")
    private String companyName;

    /**
     * 所属市
     */
    @ApiModelProperty("所属市")
    @TableField(value = "city")
    private String city;

    /**
     * 所属区
     */
    @ApiModelProperty("所属区")
    @TableField(value = "distinguish")
    private String distinguish;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    @TableField(value = "region_id")
    private Long regionId;
}
