package com.ningdatech.carapi.safe.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2022-12-26
 */
@Data
@TableName("nd_vehicle_accident_report")
@ApiModel(value = "VehicleAccidentReport对象", description = "安全管理-事故管理-事故上报")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class VehicleAccidentReport implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private Long updateBy;

    @ApiModelProperty("地区ID")
    private Long regionId;

    @ApiModelProperty("地区名")
    private String regionName;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("事故日期")
    private LocalDateTime accidentTime;

    @ApiModelProperty("事故驾驶员")
    private String accidentDriver;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("企业名")
    private String companyName;

    @ApiModelProperty("企业ID")
    private Long companyId;

    @ApiModelProperty("事故地点")
    private String accidentAddress;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("纬度")
    private String latitude;

    @ApiModelProperty("出险id 关联赔付信息")
    private Long insureOutId;

    @ApiModelProperty("受伤人数")
    private Integer injuries;

    @ApiModelProperty("死亡人数")
    private Integer deathToll;

    @ApiModelProperty("驾驶员ID")
    private Long driverId;

    @ApiModelProperty("保险ID")
    private Long insureId;

    @ApiModelProperty("审核状态 0：待审核，1：审核通过，2：审核不通过")
    private Integer auditStatus;

    @ApiModelProperty("审核意见")
    private String auditOpinion;

    @ApiModelProperty("审核人")
    private String auditor;

    @ApiModelProperty("审核人id")
    private Long auditorUserId;
}
