package com.ningdatech.carapi.safe.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author CMM
 * @since 2022/12/26 18:23
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "AccidentAuditDTO", description = "事故审核")
public class AccidentAuditDTO {

    @ApiModelProperty("id")
    @NotNull(message = "请传入审核记录id!")
    private Long id;

    @ApiModelProperty("审核结果")
    @NotNull(message = "审核结果不能为空!")
    private Integer auditStatus;

    @ApiModelProperty("审核意见")
    @NotBlank(message = "审核意见不能为空!")
    @Length(max = 200)
    private String auditOpinion;
}
