package com.ningdatech.carapi.safe.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 实体类
 * 事故管理
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "AccidentPageQuery", description = "事故管理")
public class AccidentPageQuery extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private String startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private String endTime;

    /**
     * 区域code 拼接 code,level
     */
    @ApiModelProperty("区域id")
    private Long regionId;
    /**
     * 区域ID集合
     */
    private List<Long> regionIds;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String carPlate;
    /**
     * 车牌号集合
     */
    @ApiModelProperty("车牌号集合")
    private List<String> carPlateList;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    private String companyName;

    /**
     * 车辆类型
     */
    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    /**
     * 审核状态
     */
    @ApiModelProperty(notes = "审核状态",allowableValues = "0 待审核, 1 审核通过, 2 审核不通过")
    private Integer auditStatus;

    /**
     * 上报状态
     */
    @ApiModelProperty(notes = "上报状态",allowableValues = "0 未上报, 1 已上报")
    private Integer reportStatus;

    @ApiModelProperty(notes = "事故类型")
    private Integer accidentType;



    private String dataScopeSql;
}
