package com.ningdatech.carapi.safe.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 实体类
 * 安全通报query
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "SecurityAdvisoryPageQuery", description = "安全通报query")
public class SecurityAdvisoryPageQuery extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 通报年月
     */
    @ApiModelProperty("通报年月")
    private LocalDateTime advisoryDate;

    /**
     * 区域code 拼接 code,level
     */
    @ApiModelProperty("区域id")
    private Long regionId;

}
