package com.ningdatech.carapi.safe.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 实体类
 * 安全诚信q
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "SecurityHonestyPageQuery", description = "安全诚信query")
public class SecurityHonestyPageQuery extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 所属企业
     */
    @ApiModelProperty("所属企业")
    private String companyName;

    /**
     * 区域code 拼接 code,level
     */
    @ApiModelProperty("区域id")
    private Long regionId;

}
