package com.ningdatech.carapi.safe.model.vo;

import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@ApiModel(value = "LawEquipmentInstallVO", description = "安全管理-行政执法-设备安装")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class LawEquipmentInstallVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 驾驶员ID
     */
    @ApiModelProperty("驾驶员ID")
    private Long driverId;

    /**
     * 驾驶员名字
     */
    @ApiModelProperty("驾驶员名字")
    private String driverName;

    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String idCard;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String carPlate;

    /**
     * 检查日期
     */
    @ApiModelProperty("检查日期")
    private LocalDateTime checkDate;

    /**
     * 企业ID
     */
    @ApiModelProperty("企业ID")
    private Long companyId;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    private String companyName;

    /**
     * 设备名字
     */
    @ApiModelProperty("设备名字")
    private String equipmentName;

    /**
     * 检查地址
     */
    @ApiModelProperty("检查地址")
    private String checkAddress;

    /**
     * 检查人员
     */
    @ApiModelProperty("检查人员")
    private String inspectors;

    /**
     * 处理结束
     */
    @ApiModelProperty("处理结束")
    private String processResult;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    /**
     * 区域id
     */
    @ApiModelProperty("区域id")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    private String regionName;
}
