package com.ningdatech.carapi.safe.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ningdatech.carapi.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Data
@ApiModel(value = "NdInsureInfoVO", description = "安全管理-保险管理-承保信息")
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@AllArgsConstructor
public class NdInsureInfoVO extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 起包时间
     */
    @ApiModelProperty("起包时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime insureTimeStart;

    /**
     * 到期时间
     */
    @ApiModelProperty("到期时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime insureTimeEnd;

    /**
     * 区域ID
     */
    @ApiModelProperty("区域ID")
    private Long regionId;

    /**
     * 区域名
     */
    @ApiModelProperty("区域名")
    private String regionName;

    /**
     * 企业名
     */
    @ApiModelProperty("企业名")
    private String companyName;

    /**
     * 企业ID
     */
    @ApiModelProperty("企业ID")
    private Long companyId;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String carPlate;

    /**
     * 保险公司
     */
    @ApiModelProperty("保险公司")
    private String insureCompany;
}
