package com.ningdatech.carapi.safe.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.safe.entity.NdVehicleOverspeedWaysection;
import com.ningdatech.carapi.safe.entity.VehicleOverspeedInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.safe.entity.VehicleOverspeedInfo;
import com.ningdatech.carapi.safe.model.dto.OverspeedPageQuery;
import com.ningdatech.carapi.safe.model.po.NdVehicleOverspeedWaysectionPO;
import com.ningdatech.carapi.safe.model.po.VehicleOverspeedCompanyPO;
import com.ningdatech.carapi.safe.model.po.VehicleOverspeedVehiclePO;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 车辆超速信息表 服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-17
 */
public interface IVehicleOverspeedInfoService extends IService<VehicleOverspeedInfo> {
    Long countStatistics(List<Long> regionIds, LocalDateTime todayStart, LocalDateTime todayEnd);

    Page<VehicleOverspeedCompanyPO> pageGroupCompany(Page<VehicleOverspeedCompanyPO> page, OverspeedPageQuery overspeedPageQuery);

    Page<VehicleOverspeedVehiclePO> pageGroupVehicle(Page<VehicleOverspeedVehiclePO> page, OverspeedPageQuery overspeedPageQuery);

    Page<NdVehicleOverspeedWaysectionPO> pageGroupWaysection(Page<NdVehicleOverspeedWaysectionPO> page, OverspeedPageQuery overspeedPageQuery);
}
