package com.ningdatech.carapi.scheduler.mapper;

import java.time.LocalDateTime;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ningdatech.carapi.scheduler.model.dto.GpsSpeedDataDTO;
import com.ningdatech.carapi.scheduler.model.dto.OverSpeedGpsDataDTO;

/**
 * @return
 * @author CMM
 * @since 2023/05/29 16:06
 */
public interface OverSpeedGpsDataMapper {


    /**
     * 从每天的GPS数据表中获取车辆GPS速度数据
     * @param date
     * @param startIndex
     * @param endIndex
     * @return
     */
    List<OverSpeedGpsDataDTO> getOverSpeedDataInGps(@Param("date") String date , @Param("startIndex") Long startIndex, @Param("endIndex") Long endIndex);

    /**
     * 获取超速报警时刻5分钟后的GPS数据
     * @param carPlate
     * @param warnTime
     * @param date
     * @param timeBucket
     * @return
     */
    List<GpsSpeedDataDTO> getDataInGps(@Param("carPlate") String carPlate, @Param("warnTime") LocalDateTime warnTime, @Param("date") String date, @Param("timeBucket") Integer timeBucket);
}
