package com.ningdatech.carapi.sys.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.sys.entity.enumeration.CodingRuleBehaviorTypeEnum;
import com.ningdatech.carapi.sys.entity.enumeration.CodingRuleVehicleType;
import com.ningdatech.carapi.sys.entity.enumeration.RuleOperationTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-10-20
 */
@Data
@TableName("nd_coding_rule")
@ApiModel(value = "CodingRule对象", description = "")
public class CodingRule implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long createBy;

    /**
     * {@link RuleOperationTypeEnum}
     */
    @ApiModelProperty("加分减分")
    private String ruleOperationType;

    /**
     * {@link CodingRuleVehicleType}
     */
    @ApiModelProperty("车辆类型")
    private String vehicleType;

    /**
     * {@link CodingRuleBehaviorTypeEnum}
     */
    @ApiModelProperty("行为类型")
    private String behaviorType;

    @ApiModelProperty("操作分数")
    private Integer operationScore;

}
