package com.ningdatech.carapi.sys.entity.dto;

import java.io.Serializable;
import java.util.List;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 实体类
 * 企业
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "CompanyPageQuery", description = "企业")
public class CompanyPageQuery extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称 模糊查询")
    private String name;

    /**
     * 所属区域id
     */
    @ApiModelProperty(value = "所属区域id")
    private Long regionId;

    /**
     * 运营商
     */
    @ApiModelProperty(value = "运营商名字模糊查询")
    private String operatorName;

    @ApiModelProperty(value = "是否失信")
    private Boolean blackList;

    @ApiModelProperty(value = "公司类型 0管理企业 1生产企业 2物流企业 3其他")
    private Integer companyType;

    @ApiModelProperty(value = "公司类型 0管理企业 1生产企业 2物流企业 3其他")
    private List<Integer> companyTypeList;

    @ApiModelProperty(value = "生产企业类型 2预拌砂浆生产企业 3预拌混凝土生产企业 4水泥生产企业")
    private Integer productCompanyType;
}
