package com.ningdatech.carapi.sys.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 实体类
 * 企业
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "CompanySaveDTO", description = "企业")
public class CompanySaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    @NotEmpty(message = "请输入企业名称!")
    private String name;

    /**
     * 车辆数
     */
    @ApiModelProperty(value = "车辆数")
    private Long vehicleNum;

    /**
     * 地区id
     */
    @ApiModelProperty(value = "地区id")
    @NotNull(message = "请选择地区!")
    private Long regionId;

    /**
     * 运营商ID
     */
    @ApiModelProperty(value = "运营商ID")
//    @NotNull(message = "请选择运营商!")
    private Long operatorId;

    /**
     * 传真
     */
    @ApiModelProperty(value = "传真")
    private String fax;

    /**
     * email
     */
    @ApiModelProperty(value = "email")
    private String email;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;

    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    private String contactPerson;

    /**
     * 联系方式
     */
    @ApiModelProperty(value = "联系方式")
    private String contactPhone;

    /**
     * 法人
     */
    @ApiModelProperty(value = "法人")
    private String legalPerson;

    /**
     * 法人联系电话
     */
    @ApiModelProperty(value = "法人联系电话")
    private String legalPersonPhone;

    /**
     * 公司类型
     */
    @ApiModelProperty(value = "公司类型")
    private Integer companyType;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "生产企业类型")
    private List<Long> enterpriseTypes;

    @ApiModelProperty(value = "营业执照编号")
    private String businessLicense;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    private String latitude;
}
