package com.ningdatech.carapi.sys.entity.dto;

import com.baomidou.mybatisplus.core.conditions.update.Update;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 实体类
 * 用户
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "UserUpdateDTO", description = "用户")
public class UserUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @NotNull(message = "id不能为空")
    private Long id;

    /**
     * 账号
     */
    @ApiModelProperty(value = "账号")
    @Size(max = 50, message = "账号长度不能超过30")
    private String account;

    /**
     * 密码
     */
    @ApiModelProperty(value = "密码")
    @Size(max = 50, message = "密码长度不能超过50")
    private String password;

    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    @Size(max = 50, message = "用户姓名长度不能超过50")
    private String username;

    /**
     * 角色
     */
    @ApiModelProperty(value = "角色")
    private Long role;

    /**
     * 企业
     */
    @ApiModelProperty(value = "企业id")
    private Long companyId;

    /**
     * 公司行业
     */
    @ApiModelProperty(value = "行业id")
    private Long industry;

    /**
     * 手机
     */
    @ApiModelProperty(value = "手机")
    @Size(max = 20, message = "手机长度不能超过20")
    private String mobile;

    /**
     * 最后登录时间
     */
    @ApiModelProperty(value = "最后登录时间")
    private LocalDateTime lastLoginTime;

    /**
     * 职位
     */
    @ApiModelProperty(value = "职位")
    @Size(max = 50, message = "职位长度不能超过50")
    private String position;

    /**
     * 科室
     */
    @ApiModelProperty(value = "科室")
    @Size(max = 50, message = "科室长度不能超过50")
    private String sectionOffice;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    @Size(max = 200, message = "备注不能超过200")
    private String remark;

}
