package com.ningdatech.carapi.sys.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ningdatech.carapi.sys.entity.TreeEntity;
import com.ningdatech.carapi.sys.entity.enumeration.AuthorizeType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.Size;

import static com.baomidou.mybatisplus.annotation.SqlCondition.LIKE;

/**
 * menuList
 * 菜单资源树
 *
 * @author PoffyZhang
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class MenuResourceTreeVO extends TreeEntity<MenuResourceTreeVO, Long> {

    private AuthorizeType type;
    private String code;
    private String icon;
    private Boolean isDef;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    @Size(max = 200, message = "描述长度不能超过200")
    @TableField(value = "describe_", condition = LIKE)
    private String describe;

}
