package com.ningdatech.carapi.user.service;

import com.ningdatech.carapi.sys.entity.dto.UserSaveDTO;
import com.ningdatech.carapi.sys.entity.dto.UserUpdateDTO;
import com.ningdatech.carapi.user.entity.NdUserInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author LiuXinXin
 * @since 2022-09-30
 */
public interface INdUserInfoService extends IService<NdUserInfo> {

    /**
     * 根据ID删除
     *
     * @param ids id
     * @return 是否成功
     */
    boolean removeByIdWithCache(List<Long> ids);

    /**
     * 保存用户
     *
     * @param data   用户
     * @param userId 用户id
     */
    void save(UserSaveDTO data, Long userId);

    /**
     * 修改
     *
     * @param data   用户
     * @param userId 用户id
     */
    void update(UserUpdateDTO data, Long userId);

    Boolean check(String account,String mobile);
}
