CREATE TABLE `nd_company_product_manage`
(
    `id`                 bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `company_id`         bigint(20) NOT NULL COMMENT '企业id',
    `company_name`       varchar(500)          DEFAULT NULL COMMENT '企业名称',
    `region_id`          bigint(20) DEFAULT NULL COMMENT '区域id',
    `region_name`        varchar(255)          DEFAULT NULL COMMENT '区域名称',
    `product_name`       varchar(255) NOT NULL COMMENT '生产线名称',
    `car_start_time`     datetime              DEFAULT NULL COMMENT '发车日期',
    `equipment_status`   varchar(255) NOT NULL COMMENT '设备状态',
    `sum_product_count`  int(12) DEFAULT NULL COMMENT '当天累计生产方量',
    `real_product_count` int(12) DEFAULT NULL COMMENT '当天实际生产方量',
    `create_by`          varchar(255)          DEFAULT NULL COMMENT '创建人',
    `update_by`          varchar(255)          DEFAULT NULL COMMENT '修改人',
    `create_on`          datetime     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
    `update_on`          datetime     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='公司生产管理';

CREATE TABLE `nd_company_quality_manage`
(
    `id`             bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `region_id`      bigint(20) DEFAULT NULL COMMENT '区域id',
    `region_name`    varchar(255)          DEFAULT NULL COMMENT '区域名称',
    `file_time`      datetime              DEFAULT NULL COMMENT '通报年月',
    `file_path`      varchar(255) NOT NULL COMMENT '文件地址',
    `file_name`      varchar(255)          DEFAULT NULL COMMENT '文件名称',
    `download_count` int(12) DEFAULT NULL COMMENT '下载次数',
    `create_by`      varchar(255)          DEFAULT NULL COMMENT '创建人',
    `update_by`      varchar(255)          DEFAULT NULL COMMENT '修改人',
    `create_on`      datetime     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
    `update_on`      datetime     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='质量通报';

CREATE TABLE `nd_company_security_product_duty`
(
    `id`           bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `region_id`    bigint(20) DEFAULT NULL COMMENT '区域id',
    `region_name`  varchar(255)      DEFAULT NULL COMMENT '区域名称',
    `company_id`   bigint(20) DEFAULT NULL COMMENT '企业id',
    `company_name` varchar(255)      DEFAULT NULL COMMENT '企业名称',
    `file_path`    varchar(255)      DEFAULT NULL COMMENT '文件地址',
    `create_by`    varchar(255)      DEFAULT NULL COMMENT '创建人',
    `update_by`    varchar(255)      DEFAULT NULL COMMENT '修改人',
    `create_on`    datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
    `update_on`    datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='安全生产责任体系';

CREATE TABLE `nd_company_security_product_regulations`
(
    `id`                   bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `region_id`            bigint(20) DEFAULT NULL COMMENT '区域id',
    `regulations_name`     varchar(255)      DEFAULT NULL COMMENT '制度名称',
    `competent_department` varchar(255)      DEFAULT NULL COMMENT '主管部门',
    `file_path`            varchar(255)      DEFAULT NULL COMMENT '文件地址',
    `create_by`            varchar(255)      DEFAULT NULL COMMENT '创建人',
    `update_by`            varchar(255)      DEFAULT NULL COMMENT '修改人',
    `create_on`            datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
    `update_on`            datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='安全生产制度体系';

CREATE TABLE `nd_company_security_product_execute`
(
    `id`        bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `name`      varchar(255)      DEFAULT NULL COMMENT '通报名称',
    `region_id` bigint(20) DEFAULT NULL COMMENT '区域id',
    `file_path` varchar(255)      DEFAULT NULL COMMENT '文件地址',
    `create_by` varchar(255)      DEFAULT NULL COMMENT '创建人',
    `update_by` varchar(255)      DEFAULT NULL COMMENT '修改人',
    `create_on` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
    `update_on` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='安全生产制度执行';

CREATE TABLE `nd_company_credit_inside`
(
    `id`           bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `company_id`   bigint(20) DEFAULT NULL COMMENT '企业id',
    `company_name` varchar(255)      DEFAULT NULL COMMENT '企业名称',
    `region_id`    bigint(20) DEFAULT NULL COMMENT '区域id',
    `region_name`  varchar(255)      DEFAULT NULL COMMENT '区域名称',
    `driver_id`    bigint(20) DEFAULT NULL COMMENT '驾驶员id',
    `driver_name`  varchar(255)      DEFAULT NULL COMMENT '驾驶员名称',
    `type`         varchar(255)      DEFAULT NULL COMMENT '行政监管类别',
    `car_no`       varchar(255)      DEFAULT NULL COMMENT '车牌号',
    `remark`       varchar(255)      DEFAULT NULL COMMENT '备注',
    `check_time`   datetime          DEFAULT NULL COMMENT '检查日期',
    `check_type`   bit(1)   NOT NULL COMMENT '检查类型(1-联合，0-内部)',
    `create_by`    varchar(255)      DEFAULT NULL COMMENT '创建人',
    `update_by`    varchar(255)      DEFAULT NULL COMMENT '修改人',
    `create_on`    datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
    `update_on`    datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='内部/联合检查';

CREATE TABLE `nd_company_credit_deduct`
(
    `id`           bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `company_id`   bigint(20) NOT NULL COMMENT '企业id',
    `company_name` varchar(255)      DEFAULT NULL COMMENT '企业名称',
    `region_id`    bigint(20) DEFAULT NULL COMMENT '区域id',
    `region_name`  varchar(255)      DEFAULT NULL COMMENT '区域名称',
    `type`         varchar(255)      DEFAULT NULL COMMENT '检查指标类型',
    `remark`       varchar(255)      DEFAULT NULL COMMENT '备注',
    `check_time`   datetime          DEFAULT NULL COMMENT '检查日期',
    `score`        int(12) NOT NULL COMMENT '分值',
    `create_by`    varchar(255)      DEFAULT NULL COMMENT '创建人',
    `update_by`    varchar(255)      DEFAULT NULL COMMENT '修改人',
    `create_on`    datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
    `update_on`    datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='平安办扣分';

CREATE TABLE `nd_company_credit_reward`
(
    `id`           bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `company_id`   bigint(20) NOT NULL COMMENT '企业id',
    `company_name` varchar(255)      DEFAULT NULL COMMENT '企业名称',
    `region_id`    bigint(20) DEFAULT NULL COMMENT '区域id',
    `region_name`  varchar(255)      DEFAULT NULL COMMENT '区域名称',
    `content`      varchar(2000)     DEFAULT NULL COMMENT '嘉奖内容',
    `remark`       varchar(255)      DEFAULT NULL COMMENT '备注',
    `reward_time`  datetime          DEFAULT NULL COMMENT '日期',
    `reward_type`  bit(1)   NOT NULL COMMENT '嘉奖类型(1-行业标杆，0-政府)',
    `create_by`    varchar(255)      DEFAULT NULL COMMENT '创建人',
    `update_by`    varchar(255)      DEFAULT NULL COMMENT '修改人',
    `create_on`    datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
    `update_on`    datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='政府/行业嘉奖';

CREATE TABLE `nd_company_credit_level`
(
    `id`           bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `company_id`   bigint(20) NOT NULL COMMENT '企业id',
    `company_name` varchar(255)      DEFAULT NULL COMMENT '企业名称',
    `region_id`    bigint(20) DEFAULT NULL COMMENT '区域id',
    `region_name`  varchar(255)      DEFAULT NULL COMMENT '区域名称',
    `year`         varchar(12)       DEFAULT NULL COMMENT '年度',
    `level`        varchar(12)       DEFAULT NULL COMMENT '信用等级',
    `score`        int(12) NOT NULL COMMENT '综合得分',
    `create_by`    varchar(255)      DEFAULT NULL COMMENT '创建人',
    `update_by`    varchar(255)      DEFAULT NULL COMMENT '修改人',
    `create_on`    datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
    `update_on`    datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='信用等级';

CREATE TABLE `nd_company_black_list`
(
    `id`           bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `company_id`   bigint(20) NOT NULL COMMENT '企业id',
    `company_name` varchar(500)      DEFAULT NULL COMMENT '企业名称',
    `region_id`    bigint(20) DEFAULT NULL COMMENT '区域id',
    `region_name`  varchar(255)      DEFAULT NULL COMMENT '区域名称',
    `type`         varchar(12)       DEFAULT NULL COMMENT '失信类型',
    `black_time`   datetime          DEFAULT NULL COMMENT '失信日期',
    `site`         varchar(500)      DEFAULT NULL COMMENT '地点',
    `content`      text              DEFAULT NULL COMMENT '描述',
    `create_by`    varchar(255)      DEFAULT NULL COMMENT '创建人',
    `update_by`    varchar(255)      DEFAULT NULL COMMENT '修改人',
    `create_on`    datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
    `update_on`    datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='企业失信名单';

CREATE TABLE `nd_company_certificate`
(
    `id`                  bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `company_id`          bigint(20) NOT NULL COMMENT '企业id',
    `certificate_name`    varchar(255)  NOT NULL COMMENT '证书名称',
    `certificate_content` varchar(1000) NOT NULL COMMENT '证书内容',
    `deadline_time`       datetime      NOT NULL COMMENT '有效日期',
    `certificate_path`    varchar(255)  NOT NULL COMMENT '证书路径',
    `create_by`           varchar(255)           DEFAULT NULL COMMENT '创建人',
    `update_by`           varchar(255)           DEFAULT NULL COMMENT '修改人',
    `create_on`           datetime      NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
    `update_on`           datetime      NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='企业证书';

CREATE TABLE `nd_company_basic_credit`
(
    `id`                      bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `company_id`              bigint(20) NOT NULL COMMENT '企业id',
    `registered_capital`      varchar(255)      DEFAULT NULL COMMENT '注册资金',
    `business_term`           varchar(255)      DEFAULT NULL COMMENT '营业期限',
    `create_time`             datetime          DEFAULT NULL COMMENT '成立日期',
    `evaluation_organization` varchar(255)      DEFAULT NULL COMMENT '评价机构',
    `website`                 varchar(255)      DEFAULT NULL COMMENT '企业网址',
    `nature_business`         text              DEFAULT NULL COMMENT '经营范围',
    `business_license_path`   varchar(255)      DEFAULT NULL COMMENT '营业执照地址',
    `create_by`               varchar(255)      DEFAULT NULL COMMENT '创建人',
    `update_by`               varchar(255)      DEFAULT NULL COMMENT '修改人',
    `create_on`               datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
    `update_on`               datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='企业基础信用信息';

CREATE TABLE `nd_company_common_credit`
(
    `id`                 bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
    `company_id`         bigint(20) NOT NULL COMMENT '企业id',
    `project_name`       varchar(255)      DEFAULT NULL COMMENT '项目名称',
    `black_list`         varchar(255)      DEFAULT NULL COMMENT '失信情况（0-失信，1-否）',
    `black_list_content` text              DEFAULT NULL COMMENT '失信内容',
    `dispute_content`    text              DEFAULT NULL COMMENT '纠纷内容',
    `create_by`          varchar(255)      DEFAULT NULL COMMENT '创建人',
    `update_by`          varchar(255)      DEFAULT NULL COMMENT '修改人',
    `create_on`          datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建日期',
    `update_on`          datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='企业公共信用信息';


CREATE TABLE `nd_training_bonus_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '继续教育培训奖励表',
  `create_on` datetime NOT NULL,
  `update_on` datetime DEFAULT NULL,
  `driver_id` bigint(20) DEFAULT NULL COMMENT '驾驶员id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `material_type` varchar(64) DEFAULT NULL COMMENT '材料类型',
  `training_material_id` bigint(20) DEFAULT NULL COMMENT '培训材料id',
  `training_organization_id` bigint(20) DEFAULT NULL COMMENT '培训组织id',
  `behavior_type` varchar(64) DEFAULT NULL COMMENT '行为类型',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;